commit 5f61a84ad14162917fc073b2a3b089f78419d0c0
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jan 9 18:55:35 2021 +0100

    Release 4.16.1!
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit af761c98c3a006ef2cad5918a2fd602148a705f7
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jan 9 18:19:24 2021 +0100

    log: Prefer stdout
    
    g_message() logs to stderr, while with debug enabled, stderr is
    redirected to a file (or even /dev/null).
    
    Use either g_info() or g_print() instead.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 92648bdfdfecf7c64d3fdbf0e815b66e87dd2e6e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jan 9 17:34:50 2021 +0100

    compositor: Do not prefer Xpresent for AMD/Radeon
    
    There is a bug in the amdgpu DDX which causes an image corruption when
    Xpresent is used.
    
    We should not prefer Xpresent for those, as people upgrading from 4.14
    would possibly see this as a regression.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/490
    See-also: https://gitlab.freedesktop.org/xorg/driver/xf86-video-amdgpu/-/issues/10

commit d4505383d0a2272063317e2ecd9db6880f608df8
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jan 9 17:30:32 2021 +0100

    I18n: Fix closing tag for Hungarian translation
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/473

commit 9f602aa9ab71436e1fccfc854fd0e9b0cc37a06a
Author: Hsiu-Ming Chang <cges30901@gmail.com>
Date:   Sat Jan 9 12:52:24 2021 +0100

    I18n: Update translation zh_TW (97%).
    
    171 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5fd80d73d8776b28a6080b74f331eef16c3a2edc
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Jan 6 12:58:06 2021 +0100

    I18n: Update translation ast (90%).
    
    159 translated messages, 17 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c49e58e6818dddca67d8aa93a16c48345025099d
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Jan 5 18:42:46 2021 +0100

    events: Allow resizing regardless of modifiers
    
    xfwm4 expects no keyboard modifiers (other than the usual locks) in
    button events to allow interactive resizing.
    
    There is no reason to be so picky, especially considering there is no
    such check when moving windows.
    
    Relax the requirements for resizing and allow interactive resize with
    the mouse regardless of the modifiers being pressed.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/487

commit c48119498da5d216440607b926145a9b9715de1c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Jan 5 18:39:50 2021 +0100

    netwm: Un-tile before fullscreen
    
    If a client switches to fullscreen, tiling would prevent the window from
    being resized correctly, and the client window remains tiled even when
    fullscreen.
    
    Make sure to first un-tile the client window when transitioning to
    fullscreen.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/478

commit 63bece133a10b8e6c58328f83695cb9a9e4ebe54
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Jan 5 18:38:01 2021 +0100

    hints: Guard against XErrors with systray
    
    The systray window is an external window, any X request has the
    potential for failure.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 35683211c1a84abdff1f357e0e8a24400f35e497
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Jan 5 18:33:54 2021 +0100

    compositor: Guard against more XErrors
    
    Protect against possible XErrors which could occur while adding a new
    window to the compositor.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/486

commit 4253bc36c11423d7ed081cd15121b197830fdb61
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jan 5 00:48:59 2021 +0100

    I18n: Update translation be@tarask (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 001b3677ef03b9b81dff16e523b5c82db79f5378
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Mon Jan 4 00:49:34 2021 +0100

    I18n: Update translation pt_BR (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c51adbe81b3a94f304d3e352cd1c45484ee7df9b
Author: Πέτρος Σαμαράς <psamaras1@gmail.com>
Date:   Sun Jan 3 00:49:04 2021 +0100

    I18n: Update translation el (98%).
    
    173 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d877f5cd924996d499dd1d3c0cfc0147840b731f
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jan 2 12:50:46 2021 +0100

    I18n: Update translation pl (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dfcd0a3e87e24342589938d5df3dede39ef303dd
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Fri Jan 1 12:53:55 2021 +0100

    I18n: Update translation fi (97%).
    
    172 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7a8c7429a82d93a334b6a6ad33608e9c9daccc85
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 31 12:51:32 2020 +0100

    I18n: Update translation ie (88%).
    
    155 translated messages, 21 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b70fc4b4952a70f141ca7214d5690db28a216188
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Thu Dec 31 00:50:08 2020 +0100

    I18n: Update translation et (92%).
    
    163 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ab33d9a35b6c38bf5b663cd4fe2c33f3d9795cc9
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Thu Dec 31 00:50:08 2020 +0100

    I18n: Update translation cs (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dc95084039d3d678cb74b43b3493ffac662883ca
Author: Ivica  Kolić <ikoli@yahoo.com>
Date:   Tue Dec 29 12:52:55 2020 +0100

    I18n: Update translation hr (97%).
    
    172 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 12b467255ef1b79ff061046c91ea84d0fb550e34
Author: Źmicier Turok <nashtlumach@gmail.com>
Date:   Tue Dec 29 12:52:55 2020 +0100

    I18n: Update translation be (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2d40a5baa7257338e62154bcefd565635eea0532
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Dec 29 00:51:12 2020 +0100

    I18n: Update translation hr (96%).
    
    169 translated messages, 7 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 59377045bcb8af6a796cbb34d0ab1ce24d86b5fb
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 28 12:50:52 2020 +0100

    I18n: Update translation eu (91%).
    
    161 translated messages, 15 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c6adc4fa4c6de0aef6086dd6189375f9a4f3849d
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Sun Dec 27 00:49:53 2020 +0100

    I18n: Update translation he (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bfd7c46dce086555e3f82f65511fe2200406d239
Author: sfan5 <sfan5@live.de>
Date:   Thu Dec 24 18:29:34 2020 +0100

    events: Protect against error from XGetWMHints()

commit 38cef1a5788cc454a30239452754bdd749ec5d2c
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 26 00:50:04 2020 +0100

    I18n: Update translation hu (98%).
    
    173 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 56d273ee48fffc7fed67ec7b22afd8e4b1c23c6e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Dec 25 18:39:52 2020 +0100

    compositor: Ignore XError when changing background picture
    
    If xfwm4 is compiled with support for the root pixmap in the compositor,
    changing the background image may cause an XError if the external pixmap
    is already freed.
    
    Guard against such XError.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/476

commit 59c38d24fc7826012f16011aae4926dfce6a9e7f
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Thu Dec 24 00:48:44 2020 +0100

    I18n: Update translation cs (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 64c96c004d362fde25cf11cf3de43a43063aa4ee
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Tue Dec 22 23:59:34 2020 +0100

    Back to development

commit 3a36d626321dce5c271c64463eb55b806492f657
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Tue Dec 22 23:57:44 2020 +0100

    Updates for release

commit c697a54ada6d3c915106a061e18f3cf1135b1eef
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Dec 20 14:12:59 2020 +0100

    common: Avoid zero refresh rate for monitor
    
    The function gdk_monitor_get_refresh_rate() can return 0 if there is no
    real monitor attached (as with Xephyr or VNC for example).
    
    The compositor use the value as a divisor to compute the frequency of
    refresh when zooming, and if the value is 0, xfwm4 will crash with a
    floating point exception (division by zero error).
    
    Make sure we return something even if gdk_monitor_get_refresh_rate()
    cannot get us a real refresh rate.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 98abe9250bce568d2775f4e74e7463842ab4a764
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Dec 18 20:45:06 2020 +0100

    hints: Protect against XError from XGetTransientFor()
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/472

commit 533fc5866023b39b770239035c473ac35cb76ddf
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Fri Dec 18 12:51:54 2020 +0100

    I18n: Update translation nb (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 16bdd7f22221ac0e62384883a6aeab0d7d998733
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Dec 17 20:23:57 2020 +0100

    netwm: Allow above/below only for regular windows
    
    That makes it consistent with what xfwm4 allows from its own UI.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 9b77e0719a1478a106835448793a4d1ae20309dc
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Dec 17 20:18:11 2020 +0100

    netwm: Mark splashscreen as transient for groups
    
    KDE applications such as Krita place their splashscreen window above
    other windows, but may display a dialog at startup, and that dialog
    would end up underneath the splashscreen.
    
    Make the splashscreen windows transient for groups, so that if another
    window from the same applications is eventually mapped, the splashscreen
    will be sent back automatically at the same layer as the application and
    will not hide it.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Fixes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/470

commit e1cbe04b306334afc9aad873eac18f773df344c2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Dec 16 18:24:44 2020 +0100

    client: Complete client state even on different workspaces
    
    When a client is restored from session management and ends up on
    another, non visible workspace, xfwm4 would simply not show it.
    
    But that's not sufficient, when the client is eventually shown on
    workspace switch, the client window would end up in a weird state,
    marked as "IsViewable" and showing reparented in "xwininfo -tree", yet
    xprop would still return the properties from the WM parent window which
    has no property set.
    
    Many X11 mechanisms, including drag and drop, rely on X11 properties and
    those would simply fail when that happens.
    
    Make sure to complete the client frame even for windows placed on a
    separate workspace, the clientShow() will eventually take care of not
    making those visible, but the client window will be in a correct state.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/469

commit e4f9cdc0d97086a5f5e393859b83c66a7b8428a9
Author: Dridi Boukelmoune <dridi@fedoraproject.org>
Date:   Wed Dec 16 16:54:30 2020 +0100

    build: Increase GTK+ requirement to 3.22
    
    Since 4.14 this is the minimum version for all of Xfce, which allows to
    remove a bunch of dead code.
    
    Refs !3
    
    Signed-off-by: Dridi Boukelmoune <dridi@fedoraproject.org>

commit be5bfa2d2a3fefe9e64f8300c2b31833e581d166
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Wed Dec 16 12:50:37 2020 +0100

    I18n: Update translation sr (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c74369953d6ae7cd289aa742b21991713c2ea7f2
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Wed Dec 16 00:48:13 2020 +0100

    I18n: Update translation tr (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2a01be70282089711121cdd609752a15e09bc7e3
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Wed Dec 16 00:48:13 2020 +0100

    I18n: Update translation fr (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 889ba964c6d152260f803f275143cc80b8062483
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 16 00:48:13 2020 +0100

    I18n: Update translation es (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 841fcf27ea7d83fcfdafa28e4ee759ce6f5fc87b
Author: x4e <x4e_x4e@protonmail.com>
Date:   Sat Dec 12 17:31:50 2020 +0000

    Add `cycle_minimized` option
    
    This option allows minimized windows to be cycled in their MRU (Most Recently
    Used) order along side non minimized windows.
    
    With this option disabled the old behaviour will continue, where minimized
    windows are always at the end of the MRU cycle order.
    
    This option is disabled by default.
    The code in this commit was provided by @evandrocoan .
    
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/438

commit 78571293bc911db680037deba17b0c6c6fba46f0
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Dec 15 00:48:01 2020 +0100

    I18n: Update translation pt (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1412f1ea679f7744009a38fa6c8de0e69ce7308d
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Dec 14 20:33:56 2020 +0100

    compositor: Release overlay window last
    
    The root picture applies to the output window, which in turn is the
    overlay window (when supported), therefore the overlay window should be
    released last to avoid XErrors when disabling the compositor.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 8f97f962b4c20e46a105e74e4f97b0aad3b03c17
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Dec 14 20:32:11 2020 +0100

    compositor: Free GLX data when really using GLX
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 5264e1fa5deb54b6269e2d65b906460a8993da55
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Dec 14 20:30:44 2020 +0100

    compositor: Remove useless trace message
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 3850e110d0a4537c7c6cc3787258635935d8e021
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Dec 14 19:57:25 2020 +0100

    compositor: Release current GLX context on teardown
    
    Prior to freeing the GLX context, make sure it's released.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 11c59d3dba57646c9263146a340992438b171940
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Mon Dec 14 12:50:22 2020 +0100

    I18n: Update translation zh_CN (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6aed6d7489a3a01d9ad37996caaea3f7ed00dc49
Author: Lucas Wilm <lucaswilm@gmail.com>
Date:   Mon Dec 14 12:50:22 2020 +0100

    I18n: Update translation pt_BR (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cddf2b5906dfaf46427f6b0ec3ea2fd4e8438b3d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 14 12:50:21 2020 +0100

    I18n: Update translation lt (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit de02ed36e9bee10c85f0a2fb5e71d9d402294dab
Author: Dmitry Unruh <dmitryunruh@googlemail.com>
Date:   Mon Dec 14 00:48:12 2020 +0100

    I18n: Update translation ru (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d9321f3e93072ee356959440ffbff30be1c026a6
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Mon Dec 14 00:48:12 2020 +0100

    I18n: Update translation ja (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3aead6fc3b09e4bc1f16d6e9df7cb355b8d467f7
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Mon Dec 14 00:48:12 2020 +0100

    I18n: Update translation de (100%).
    
    176 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d62c91a5e43d8e4cba346818e6c04a08d5d5a05c
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Sun Dec 13 00:49:46 2020 +0100

    I18n: Update translation pt_BR (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 884a799ef5ed3fe7ad3ff0757f886b239909191e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 20:58:47 2020 +0100

    display: Remove custom XError handler
    
    GDK already implements its own XError handler mechanisnm, using a custom
    one is not only useless, but discouraged as well.
    
    Remove our own custom XError handler.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit a082a6e368d85258b86597eb19268533c94a9a26
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 20:58:30 2020 +0100

    compositor: Check for XError when adding windows
    
    When adding windows, the compositor needs to get various attributes, and
    that can fail if the client window is already gone.
    
    Check and protect against any XError when adding windows to the
    compositor as well.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 0e30ccc211d90920909fec9ca7b913004a13606f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 20:42:44 2020 +0100

    compositor: Trap XErrors when disabling compositor
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 9a4db3888c0cead24bf6206febf1a7689f04dfa3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 16:09:40 2020 +0100

    main: Enable compositor by default
    
    Previous commit inadvertently disabled the compositor by default,
    restore expected behavior.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 124d07ceb9ec19d7ef113a332e9b52f53842a29f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 15:44:58 2020 +0100

    compositor: Remove automatic redirect support
    
    Automatic redirection is of little use for xfwm4, remove support for it
    and save a significant amount of code and complexity.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 92056d2e3689415fab9f96ebdf9a0b25112c4f5c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 14:43:42 2020 +0100

    main: Add short command line options
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 3db15d9fe30b55b287ccd04d64727210b3983105
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 14:38:07 2020 +0100

    main: Add debug command line option
    
    When building from git, debug mode is now automatically enabled, meaning
    that xfwm4 will log debug messages to a file which can quickly grow
    fast.
    
    To avoid filling innocent users' home directories with debug messages
    from xfwm4, add a "--debug" command line option to enable logging to a
    file.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 67968d839b1ea9160435a33b6dfa6919d3396f96
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 09:54:20 2020 +0100

    pixmap: Use a safer strncpy()
    
    strncpy() may not copy the trailing NULL terminator and newer gcc warns
    about it.
    
    Add a safer strncpy() implementation which makes sure to always put a
    NULL terminator and mute gcc warning.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 4ad761b5495c6f9855e0def81941b93ca81593cc
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 12 09:33:46 2020 +0100

    settings: Fix compiler warning
    
    The _init() and _class_init() definitions are automatically generated by
    GLib's G_DEFINE_TYPE_WITH_PRIVATE macro.
    
    Remove the redundant definitions to avoid a compiler warning.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit bf29a76fdc718ae93df61c596ce49a3aba965460
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Thu Dec 10 00:51:15 2020 +0100

    Remove useless autotools macros and Makefile targets

commit 9099ca4cfaf5a0dd7fa22b3969ed0baa4beb9523
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Thu Dec 10 00:50:14 2020 +0100

    Use --enable-debug=yes when compiling from git

commit 9a4be9ba143e138c31c44d1d428e459cf5ac258d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 9 00:49:16 2020 +0100

    I18n: Update translation pt_BR (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5f66a4205f62d17c3c8814bb08259ba44def3765
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Dec 8 20:33:35 2020 +0100

    Revert "compositor: Do not damage on opaque region update"
    
    Thunderbird is acting really weird with its opaque region, it sometimes
    set a (wrong) opaque region for a very short time during resize and
    immediately remove it, but that can prevent non-opaque regions such as
    drop shadows with client side decorations from being damaged correctly.
    
    While this is clearly a client bug, it shows that damaging the
    difference on opaque region update can be useful.
    
    This reverts commit 1e80481ac8da9cdeddc204c2c8e9c2f5841564ef.

commit 042346049a851feff890f86355b086eb15d59c0f
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Tue Dec 8 00:48:26 2020 +0100

    I18n: Update translation id (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 732e08ce6c3c8aa71af69dfe52b07c96ad60bd26
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Dec 7 20:52:07 2020 +0100

    themes: Use smaller, lighter shadows
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 44b1a730e43967d10aa7d38f49990befa55c93be
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Dec 7 20:47:39 2020 +0100

    compositor: Check if compositor is enabled
    
    Add more check for the compositor being enabled, to avoid running into
    potential XErrors.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 8c86c4eeb92eaa8bfd26a5a4212eb4df6f117376
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Sun Dec 6 00:48:35 2020 +0100

    I18n: Update translation tr (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b5d785b44852b078c1bf56693c84a3d729c0f319
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 5 14:06:57 2020 +0100

    compositor: Avoid XError when disabling compositor
    
    When disabling the compositor, X11 events may still be queued and
    trigger and XError after the compositor output is disabled.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/462

commit 7519631670fd432275a00e330548b5b217221f82
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 5 14:02:25 2020 +0100

    compositor: Warn for missing epoxy GL function
    
    Older epoxy versions may miss some GL functions, warn at build time if
    that occurs.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 1428477b436930d6cd205b1d744ad5fa20f1dcbb
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 5 13:49:22 2020 +0100

    netwm: Do not raise window if activate is set to none
    
    If activate action is set to "none" and focus stealing prevention is
    enabled, set the demand attention flag rather that raising the window,
    so it doesn't come into the way of the user.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/441

commit f1f845821deff364ebbeac27ef41f2dc3969ab83
Author: Olexandr Nesterenko <nolexndr@gmail.com>
Date:   Sat Dec 5 00:49:20 2020 +0100

    I18n: Update translation uk (98%).
    
    173 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 085240622a781b6691d7fb27d650e0b7231aa8ff
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 2 12:51:28 2020 +0100

    I18n: Update translation es (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b8bad2c35202e35b696868f5af710380e54ebb86
Author: Olaf Hering <olaf@aepfle.de>
Date:   Sun Nov 29 22:03:18 2020 +0100

    Remove GSourceFunc casts
    
    The function prototypes are already a GSourceFunc, no need to cast the pointer.
    Remove a gpointer casts.
    
    Signed-off-by: Olaf Hering <olaf@aepfle.de>

commit 7cff67d17364b9db824ca7fa036ff15ad4a1214f
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Tue Dec 1 00:47:46 2020 +0100

    I18n: Update translation sv (98%).
    
    173 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 606d77c4e6b1615917c9082e0237f2072301bb74
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 1 00:47:46 2020 +0100

    I18n: Update translation sl (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dcd7fc9d567f8890c0536b0d053565a4005d6bcf
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Tue Dec 1 00:47:46 2020 +0100

    I18n: Update translation fr (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f4eb01dd86f27384f88686d9c58fcb4ba16617ee
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Mon Nov 30 12:50:17 2020 +0100

    I18n: Update translation sr (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 30d074d43322d28f23d24e6a93bdac63b52976d0
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Mon Nov 30 12:50:17 2020 +0100

    I18n: Update translation ja (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4b59519b7c4213f53b29ceb395a863f61fb9e370
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Mon Nov 30 12:50:17 2020 +0100

    I18n: Update translation it (100%).
    
    175 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9553cd7000b2eff8e9db750414d68893743f6583
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 29 14:54:28 2020 +0100

    compositor: Fix build with older epoxy versions
    
    Older epoxy versions may not provide all GL functions, causing the build
    to fail.
    
    Make sure to check for function availability.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 85db8e89eaa3c9bf4b092ea1cb5ba8b07b71218e
Author: Peter de Ridder <peter@xfce.org>
Date:   Thu Oct 11 22:27:11 2012 +0200

    settings: Add 'Always on top' to the double click action
    
    Note: This cannot work with CSD (client-side decoration), as double-
    click is handled by the client and not by the window manager with CSD.
    
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/1

commit 0f863657b96319847d2221f061d6dc69c9c322cb
Author: DarkTrick <notebook22312@gmail.com>
Date:   Mon Nov 23 13:29:09 2020 +0900

    Settings: Remove default alphabetical sorting of keyboard shortcuts
    Closes: #451 (Disable initial sorting of keyboard shortcuts)
    
    
    Signed-off-by: DarkTrick <notebook22312@gmail.com>

commit 4507fe4322f428e065986e8a0ab3dc9d829ca312
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Sun Nov 29 00:48:51 2020 +0100

    I18n: Update translation id (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 69fa9cf5f17a25e48fb87cf4f92d8a64e8ae44f7
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Sun Nov 29 00:48:51 2020 +0100

    I18n: Update translation he (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3b29c7adfce5e470785f182e7be4d21a199f64f3
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Sun Nov 29 00:48:51 2020 +0100

    I18n: Update translation fr (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c255a406bd353a24a9143b152f91e5eb39f69f1f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 21:16:20 2020 +0100

    compositor: Handle XFixes XError
    
    XFixesSetPictureClipRegion() with the region from the client window can
    cause a RenderBadPicture error.
    
    Make sure to include it within the XError trap.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/460

commit 7e75a83de3ac86921c148936ffdeffba4e49ea9f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 15:21:49 2020 +0100

    compositor: Add support for GL_ARB_sync
    
    When using GLX, xfwm4 relies on glXSwapBuffers() for vblank. Normally,
    glXSwapBuffers() is non blocking, unless the previous call is still
    pending.
    
    That means that if xfwm4 queues glXSwapBuffers() faster than the refresh
    rate, the following calls will be blocking, stalling the window manager
    completely, which is bad for obvious reasons.
    
    To avoid queuing a new glXSwapBuffers() before the previous one is
    complete, use a GL sync mechanism.
    
    Typically, we insert a GL Sync object just after the glXSwapBuffers()
    command, and check if the GL Sync is triggered before redrawing again,
    just like we do with Xpresent.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 345725c6b5efe5715999223236e755b0be87329b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 15:16:12 2020 +0100

    compositor: Return early if a Present swap is pending
    
    Just a small code rework, no functional change. This is a preparation
    work for GL Sync which will do something similar for the GLX backend.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit f654c08bb6b83d4cd8f9e472f33fd96721d9eff2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 15:13:06 2020 +0100

    debug: Fix build in debug mode
    
    Debug mode means compiling with "-Werror", clean up various leftovers
    breaking the build in debug.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit f29b8b4a01c65d890e924d1a225ff16dae405ae1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 15:06:09 2020 +0100

    compositor: Fix compilation issue with Xpresent
    
    The Xpresent header check for PRESENT_FUTURE_VERSION but it's not set
    anywhere.
    
    Just set it to avoid a compilation issue with WError.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e30c8e7f0957b5fe7d29a25292458674e3443b26
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 15:00:06 2020 +0100

    compositor: Log fence and GLX swap time in debug mode
    
    For debugging purpose, log the time spent waiting on the fence sync and
    the redrawing time, including the time spent in glXSwapBuffers().
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e80e54ac345bad71ef48acd4cceb7195810a57b1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 14:52:18 2020 +0100

    compositor: Move fence sync to redraw_glx
    
    Just a small code rework, no functional change.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 185eb00d6065a1a13118ec9f6aae72cf9762c2ae
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 14:32:00 2020 +0100

    compositor: Move fence triggered to its own function
    
    Just a small code rework, no functional change.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 5534a5f8c0d54e349c65f1510ed13ae1fba4904d
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 14:25:54 2020 +0100

    compositor: Set swap control if possible
    
    If either the GLX_MESA_swap_control or the GLX_EXT_swap_control
    extension is available, use it to set the swap interval to 1.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 233e4cad60d248454cbb276796a18e966fe27cd2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 14:18:00 2020 +0100

    compositor: Adjust to the actual number of buffers
    
    When using multiple buffers, no need to set all possible buffers, just
    set the right number of buffers actually used per vblank backend.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 9018b78b1c600bb6d56987b958138a60ee352503
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 28 14:10:36 2020 +0100

    compositor: Use a GLX drawable per buffer
    
    If GLX was configured (at build time) to use multiple buffers, we would
    still use a single GLX drawable.
    
    Assign a GLX drawable per buffer instead - Note that this doesn't make
    any difference in the default case, as GLX uses a single buffer anyway.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit cdeaa15aaa85f9079e3c182565658184e87464bc
Author: ivmazurenko <ivmazurenko@yandex.ru>
Date:   Sat Nov 28 00:47:49 2020 +0100

    I18n: Update translation ru (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2ec9139f6acd9163c7fc9f584fad4ab028459821
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Fri Nov 27 00:48:25 2020 +0100

    I18n: Update translation sr (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2f1aab8d6b24aa888428543f4f6d3092c64c8d77
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Nov 25 00:48:11 2020 +0100

    I18n: Update translation pt (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 903f5b80dda7d8930401188ff53480d6a975ed39
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Tue Nov 24 12:49:42 2020 +0100

    I18n: Update translation nb (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit abcb126743f237c4e5561c59d041a7a516059827
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 24 12:49:42 2020 +0100

    I18n: Update translation es (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit df1a95a677b980601d2a8155b380c7dcefe3fe62
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Tue Nov 24 00:47:58 2020 +0100

    I18n: Update translation pt_BR (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 758218196298fe8bb46e779c6840c7ff0358b965
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 24 00:47:58 2020 +0100

    I18n: Update translation lt (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0541a2a04b3add19c618c3b21d6f646dd1c53f69
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Mon Nov 23 00:47:38 2020 +0100

    I18n: Update translation zh_CN (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 992f0839ba6581eeafb6388ee852c2285752a089
Author: Lucas Wilm <lucaswilm@gmail.com>
Date:   Mon Nov 23 00:47:38 2020 +0100

    I18n: Update translation pt_BR (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 23a60f181583350cf93f37ee091760fa18f6b453
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Mon Nov 23 00:47:38 2020 +0100

    I18n: Update translation it (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5a509f28e09612930b342d20c26b2af6199cfec2
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Mon Nov 23 00:47:38 2020 +0100

    I18n: Update translation bg (100%).
    
    174 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a1efc69f70ecb06c3469fa49761f14d7a15f2264
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 22 20:07:15 2020 +0100

    client: Allow transients for group to be minimized
    
    We would not allow transients for group to be minimized as long as a
    parent is still visible.
    
    Be more lenient with those, allow those to be minimized independently
    of their parents.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/349

commit 65c168ab5ef49e817c84b8c8c6e26246be128010
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 20:57:59 2020 +0100

    settings: Add a UI option for desktop zooming
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit bb4a8db76ac4db158558b1f48f391054050ab600
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 18:29:41 2020 +0100

    themes: Remove title shadow
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d1f3f0c74283dd5f96b5191b6db6d51e22dd32af
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 18:27:05 2020 +0100

    themes: Adjust shadows size/opacity
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 8d027c1d6a878b0c19d4d0c33096c9917bb8c6e3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 17:57:51 2020 +0100

    client: Make above/below consistent
    
    The window menu entries would check for valid transients or modal dialog
    window to enable or disable the above/below entries.
    
    Yet the actual above/below function would simply check for any transient
    or modal dialog, hence denying the request for fake dialogs without an
    actual parent window.
    
    Fix the logic to remain consistent, and allows fake dialogs to be placed
    above or below other windows.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes:https://gitlab.xfce.org/xfce/xfwm4/-/issues/458

commit 298c2d54e27ec76c16c494993fe688eb18d0ae28
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 14:53:13 2020 +0100

    compositor: Limit damage region to the screen
    
    When an offscreen window is damaged, there is no need to repaint any
    screen region.
    
    Limit damage to the screen region only.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit a33c23b21bcb293bee2130bf5be5017577f6fedb
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 14:46:25 2020 +0100

    compositor: Optimize repaint without vblank
    
    When using no vblank, with a single buffer, no need to render the entire
    screen.
    
    Optimize rendering by limiting the repaint to the damage region.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 4007bc67ce50e67f576d36d8f13ead42f90f188c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 14:30:13 2020 +0100

    compositor: Only accumulate damage with multiple buffers
    
    When using Xpresent, the compositor maintains multiple pixmap buffers
    and therefore needs to accumulate damages for those multiple buffers.
    
    However, when using GLX or no vblank method at all, there is only one
    buffer pixmap and there is no need to accumulate damage between buffers.
    
    Currently, the compositor would accumulate damage indefinitely when
    using GLX or no vblank, hence damaging way more than actually necessary.
    
    Fix this by accumulating damages only when there is more than one
    buffer.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 6c4fd44e6f0dded212f0eb81aade36bd41f94060
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 14:17:20 2020 +0100

    compositor: Copy entire content for GLX buffers
    
    By definition, the content of the back buffer is undefined, therefore we
    need to copy the entire content on flip with GLX.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 6b3c1ef155a01b61443b832b1922b560ef42ce24
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 21 14:05:04 2020 +0100

    xsync: Handle XError
    
    XSync can fail, handle the XError gracefully.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/448

commit 031bf67926659e3cd7bcb87354246b1b0af74b6c
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Sat Nov 21 12:51:23 2020 +0100

    I18n: Update translation id (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 008389e84b4c330539ff4c096b3294c7957d70a6
Author: Kevin Brubeck Unhammer <unhammer+dill@mm.st>
Date:   Fri Nov 20 12:52:59 2020 +0100

    I18n: Update translation nn (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7fe649bcb5551f076a2b84136b1de448ed5d9d17
Author: Anonymous <noreply@xfce.org>
Date:   Fri Nov 20 00:51:43 2020 +0100

    I18n: Update translation hu (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 928792801f54d4c5ea2cb6000efcae8d9e8283d3
Author: Anonymous <noreply@xfce.org>
Date:   Thu Nov 19 00:48:56 2020 +0100

    I18n: Update translation ru (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1731d0653e60d26114a4b5cf10bf652db1411c95
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 15 14:13:56 2020 +0100

    compositor: Ignore opaque region for shaded windows
    
    Typically, the opaque region applies to the client window.
    
    When shaded, the client window is unmapped and the frame shrunk to its
    minimum height.
    
    When shaded, the opaque regio nshould simply be ignored as the client
    window is no longer visible.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/452

commit b1443c172ab7d1801f5e8aaf3b7bc73f748a2753
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 15 13:58:13 2020 +0100

    compositor: Clip opaque region against window shape
    
    The opaque region was clipped against the compositor window extents,
    which might be larger than the window as it can also include the drop
    shadows of the server-side decorations.
    
    Clip the opaque region against the border size and the client size if
    available instead.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit bb1424e94dff684bfffda01ffe322731bb41a496
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 14 15:48:45 2020 +0100

    client: Protect against XError in XKillClient()
    
    The client might be gone, and trying to kill the X11 client might cause
    an unhandled XError.
    
    Make sure to protect XKillClient against XError.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/453

commit 1e80481ac8da9cdeddc204c2c8e9c2f5841564ef
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 14 15:38:29 2020 +0100

    compositor: Do not damage on opaque region update
    
    If the opaque region is correctly translated and intersect with the
    actual window extents, there should be no need to generate additional
    damages when the opaque region is updated.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 2d326f1e23a8113e8ce22eda838de3126f1f1c98
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 14 14:57:43 2020 +0100

    compositor: Opaque region applies to client window
    
    The opaque region is set by the client, and applies to the client
    window.
    
    Therefore the opaque region should be translated to match the actual
    client window, not the composited windows which may be the window
    manager frame window.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/452

commit 549f11f369d6d257ea434b3b66c68d8439bdc5bb
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 14 14:48:03 2020 +0100

    compositor: Reuse client size
    
    Small optimization, the clientSize represents the actual client region,
    there is no need to recompute that each time when painting.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 26b4febb5a4de36c79c4b7e683e3b3180967f421
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 14 14:42:43 2020 +0100

    client: Toggle tiling on key shortcut
    
    We now store the current tile mode along with the client, that makes it
    possible to toggle back and forth between tile modes and back to the
    initial position/location.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 90c6204f82986f901bcf51edbd27e4c6f912003d
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Nov 14 14:19:44 2020 +0100

    client: Small cleanup
    
    No need to preset the size when re-computing the tile size.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit c858916d9bd10e78a92a5fae14724aeb75138f3a
Author: Andre Miranda <andreldm@xfce.org>
Date:   Fri Nov 13 01:23:16 2020 -0300

    Add README.md to EXTRA_DIST

commit a16c6a2ac93a46dc7048bcfbbfd4520b18063f32
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Nov 12 00:48:32 2020 +0100

    I18n: Update translation pt (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a02ea8b6fd661e410346bbf29d6d8909f932cb2b
Author: Andre Miranda <andre42m@gmail.com>
Date:   Thu Nov 12 00:48:32 2020 +0100

    I18n: Update translation pt_BR (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 931545174a88db4d714817e21a97919c2adef9ef
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Nov 11 15:02:17 2020 +0100

    client: Keep tiled size of windows
    
    Tiling works by moving and resizing windows to a specific location  on
    screen.
    
    GTK clients using client-side decorations (aka CSD) draw the drop shadow
    themselves and use the property _GTK_FRAME_EXTENTS to let the window
    manager or compositor know about the actual relative frame size and
    location.
    
    GTK automatically removes the drop shadow on some specific window
    states, such as fullscreen or maximized, and restores the drop shadow
    when the window returns to a normal state.
    
    If that update occurs after the tiled size was computed, the drop shadow
    is not accounted for and the window will appear smaller than the actual
    expected tiled size.
    
    To avoid that issue, the window manager should recompute the tiled size
    whenever the _GTK_FRAME_EXTENTS is updated.
    
    Store the tiled mode and recompute the tiled size/location of windows
    when the frame extents or the screen size change.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/450

commit d1d15f82d5c92c79a2a087d5da53f2f271a8908c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Nov 11 14:52:31 2020 +0100

    compositor: No need to update compositor window on configure
    
    Right now, resizing a window would immediately update the compositor
    representation of that window.
    
    The compositor, however, is able to catch the changes on configure
    notify, so there is no need to force that update early.
    
    Remove the resize of the compositor window on each configure requests.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d474e0734169e89f9cc0522b91dcaf78936c554e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Nov 11 14:43:06 2020 +0100

    compositor: Limit opaque region clipping to window extents
    
    The opaque region is set and updated by the client, which may lag when
    the window is resized.
    
    That may leave unpainted areas when resizing a window as the opaque
    region set by the client could be actually larger than the window itself
    and hence prevent areas to be updated while they should, causing
    artifacts on screen.
    
    Make sure to limit the clipping of the opaque region by the window
    extents to avoid the issue.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 59e94fb3778845c72dcad706725746596768b1d3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Nov 11 14:38:46 2020 +0100

    compositor: Damage on opaque region update only if visible
    
    If a client updates the opaque region of its window, regions previously
    opaque may become transparent, meaning that they would need to be
    repainted to let other windows underneath see through.
    
    The compositor already computes that and adds damage for the relevant
    regions.
    
    Make sure to do that only for visible and redirected windows, other
    windows shouldn't trigger that though.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 9de099ae4cfb5733c0a31776ace0773a628729d1
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Tue Nov 10 00:49:20 2020 +0100

    I18n: Update translation sl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b3921e3df88b8a6e78abfbc173a5911778ec66cb
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Mon Nov 9 12:51:24 2020 +0100

    I18n: Update translation gl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2f2f1b0fb0cb88463db4da7dc1406bbba316b2bf
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Sat Nov 7 12:49:38 2020 +0100

    I18n: Update translation nb (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0d4006bfe7011c2780dfe23b367f38a063aac6a1
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:40 2020 +0100

    I18n: Update translation zh_TW (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b5c7823ac77e664d8cc07d123bacb9d2abb657da
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:39 2020 +0100

    I18n: Update translation zh_HK (94%).
    
    163 translated messages, 10 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 32687630edaab26863a6ed45bb195b2493e09b04
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:39 2020 +0100

    I18n: Update translation ur (71%).
    
    123 translated messages, 50 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 573b661d79ed92993f5f51591edb59ded2620af3
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:39 2020 +0100

    I18n: Update translation ur_PK (71%).
    
    123 translated messages, 50 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 10256a3b448b47ed84d778ff0d3452cecbbedd33
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:39 2020 +0100

    I18n: Update translation uk (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8e93eabd42e0ff50c60b5aaabeb3a8fdcc5d129f
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:39 2020 +0100

    I18n: Update translation ug (84%).
    
    147 translated messages, 26 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 94e5642241feef41c4a94df1ee37df0548740f9e
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:39 2020 +0100

    I18n: Update translation th (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 03ab0d6db8dad34fb46b706f981fc51675fc9b0d
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation sv (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2c674d00126dbb73080eec7fbda92d7efd26c1b0
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation sr (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7aaf29342f04cec0e49c4d4f2a423d75c4b5a88e
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation sq (98%).
    
    171 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 26cf2097dadfee240614190e95be0ea8b78e08e0
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation sl (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 709632e6cf4f4560a28377024bb8b374cc7e15a0
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation sk (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ff647028467e6557e8cf3774a921246309ce8164
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation ru (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 42cfaf1cb3b758724b4412efbdcaa92d716ea40e
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation ro (92%).
    
    160 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 71366fd007befdb5493a164ded648a4cbbae249d
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation pt (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0f239544b841288af8c151a1ced2fe52e98e5f1a
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:38 2020 +0100

    I18n: Update translation pt_BR (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ba2bfabeffe808084a8c9a2a4ab92de7bdeb8165
Author: Anonymous <noreply@xfce.org>
Date:   Thu Nov 5 14:18:37 2020 +0100

    I18n: Update translation pl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3f964cabdf1aa42219653470c190429afae7edea
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:37 2020 +0100

    I18n: Update translation oc (98%).
    
    171 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7858f9e26f3dd8683c46b40484c37672de3e6da5
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:37 2020 +0100

    I18n: Update translation nn (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fe8897f5b37e741ac0ec10e012ba7a45676bbeb4
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Thu Nov 5 14:18:37 2020 +0100

    I18n: Update translation nl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fd0f0017dff09114ae1f500ceacd7adf5eb586bf
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:37 2020 +0100

    I18n: Update translation nb (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4a191dd14dd20ea8431f6af9125eca06f341d82b
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:37 2020 +0100

    I18n: Update translation ms (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c45427c94df31af510732f08326c19cc772fa310
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:37 2020 +0100

    I18n: Update translation lv (72%).
    
    125 translated messages, 48 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1c0e264b8d1d44140e01b1153bb22fe7c4c3a4a2
Author: Anonymous <noreply@xfce.org>
Date:   Thu Nov 5 14:18:37 2020 +0100

    I18n: Update translation lt (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cc91de256336dfbfb278f74eadafabfef0990ade
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:36 2020 +0100

    I18n: Update translation ko (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 92a65dac1dcf0c2e4d29760f4ae9e8e4bfeca432
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:36 2020 +0100

    I18n: Update translation kk (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ad18f478eb2477080e6908a983435130b907388d
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:36 2020 +0100

    I18n: Update translation ka (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bfe4c75254c09e4b57313df546fa6e78f36b56d3
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:36 2020 +0100

    I18n: Update translation is (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d9af6f2c55780f1832a80a6a40529e44a6a0b163
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:36 2020 +0100

    I18n: Update translation ie (83%).
    
    145 translated messages, 28 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4f31dc6c1d018521dbd207cb36afa8d5b3a5d2ce
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:36 2020 +0100

    I18n: Update translation id (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 83aefce8dc44a7c0847e9f069e2dc956d0dd5d26
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:35 2020 +0100

    I18n: Update translation hye (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4d43605c210273e00059b63993181c8dc04e97e0
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:35 2020 +0100

    I18n: Update translation hy_AM (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bfeef9bbc8a9e21054ce817c4aa3b596dedaed5e
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:35 2020 +0100

    I18n: Update translation hu (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bc2a49b5520ef16080b6e22f80993bf85065168b
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:35 2020 +0100

    I18n: Update translation hr (97%).
    
    168 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b091319215e10de55a12a548b07cb8b2168198fc
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:35 2020 +0100

    I18n: Update translation he (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4c9d98cc00f2a8df15311d5bc0b9f583c6f90885
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Thu Nov 5 14:18:35 2020 +0100

    I18n: Update translation gl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e7f347b13ef2c34ce7931e849035b2f90f130780
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:35 2020 +0100

    I18n: Update translation fi (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9c51777ce5ffabae973ca4ca9e4e7ea9f2867596
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:34 2020 +0100

    I18n: Update translation fa_IR (56%).
    
    98 translated messages, 75 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 42efd6911e8fb802265b884b402b4e297df106a5
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:34 2020 +0100

    I18n: Update translation eu (91%).
    
    158 translated messages, 15 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bd3e50297e8ee2e73ecba819e5c6d665c1ab668a
Author: Anonymous <noreply@xfce.org>
Date:   Thu Nov 5 14:18:34 2020 +0100

    I18n: Update translation es (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9131664e623a329f85b2d8ebd0aca460314aedee
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:34 2020 +0100

    I18n: Update translation en_GB (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5c56927677d7c654d455d45fd5294e797d06b55d
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:34 2020 +0100

    I18n: Update translation en_CA (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d1e0ebba8e9c8b97c3efc6c4a76c014bb33538a4
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:34 2020 +0100

    I18n: Update translation en_AU (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ee662831ba1dfeb28362d383c55a48fb4def3855
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:34 2020 +0100

    I18n: Update translation el (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 08f9dea4d9bc583303e5af1bda5631f956a67f21
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Thu Nov 5 14:18:34 2020 +0100

    I18n: Update translation de (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b6dc4b4f53818e46054ea3eb12d7b269b2767349
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Thu Nov 5 14:18:33 2020 +0100

    I18n: Update translation cs (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5b16b339603aa03b3d5e7a0b5abe31045bd69727
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:33 2020 +0100

    I18n: Update translation bn (78%).
    
    135 translated messages, 38 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ff24cc6dc6c1914f8e6339fb367f4848b6e433c4
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Thu Nov 5 14:18:33 2020 +0100

    I18n: Update translation bg (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1c10dbb2ec28801a62cd97eb9f963e7ef64ae6aa
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:33 2020 +0100

    I18n: Update translation be (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 72f9ecefca7b6fae5b024fe243be40dd2b1b099e
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Nov 5 14:18:33 2020 +0100

    I18n: Update translation ar (96%).
    
    167 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d5eccc896be3a7a364714b4d36ce31cf05fb5f71
Author: Emin Tufan <etcetin@gmail.com>
Date:   Thu Nov 5 00:48:36 2020 +0100

    I18n: Update translation tr (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e8d91712763405e0c0f68f410416d33576fa13a2
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Thu Nov 5 00:48:36 2020 +0100

    I18n: Update translation et (88%).
    
    153 translated messages, 20 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 67595558df866e76ffdd7d3babefc1ddd1677917
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Nov 4 20:29:44 2020 +0100

    client: Send synthetic configure on force redraw
    
    xfwm4 sends a synthetic configure event when required as per the ICCCM
    specification, but a force redraw as when maximizing a window while
    moving generates a fake move, which defats the logic.
    
    Make sure to send a synthetic configure event on force redraw, that
    fixes an issue with VTE terminals (like xfce4-terminal) which do not
    resize correctly if maximized while pushing toward the top of the
    screen.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 20196617c6d5f050c69c1bb8e12d9913a80fea48
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Wed Nov 4 12:50:11 2020 +0100

    I18n: Update translation zh_CN (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4ee20ddfd755864bef2e8277352586c08dcc6169
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Wed Nov 4 00:48:06 2020 +0100

    I18n: Update translation ja (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bc8a7a3aa7142aa4bbe990af8aca5c317b61b8b2
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 2 12:49:46 2020 +0100

    I18n: Update translation da (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1dff5d66e89b7d98576e2e7228bc6e5964704183
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Mon Nov 2 00:48:19 2020 +0100

    I18n: Update translation it (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 22e07f3cd3e65bb9df3dcb9a467b2f5212c24e5a
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Mon Nov 2 00:48:19 2020 +0100

    I18n: Update translation fr (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0353cffea2e36a3b3eebab37d679636930a42688
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Mon Nov 2 00:48:19 2020 +0100

    I18n: Update translation ca (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 584bca4fc139b3010fcc7910d34c6155beb29191
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 2 00:48:19 2020 +0100

    I18n: Update translation be@tarask (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7e7e36a5bf927cf7d69a6fe943247bc76b6ad535
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 1 21:58:18 2020 +0100

    Post release tag bump
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 56562f389fbdeb310d238654fcde8ef5edde85c8
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 1 21:54:39 2020 +0100

    Release 4.15.3!
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d4ea89aff91fa40ca3ca35fc25d44e8140fb5b26
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 1 21:37:50 2020 +0100

    compositor: Do not try to clip opaque region if none
    
    If the window has no opaque region, no point in trying to clip it out
    and return immediately.
    
    No functional change.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 50d34206fd3f01e71a16627821bbecc90c53a95e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 1 21:23:18 2020 +0100

    compositor: Damage opaque region if changed
    
    When using multi buffers (Present, GLX), if the client updates its
    opaque region in between (e.g. when resizing the window) we may cull out
    regions on screen that won't get updated, leaving trails of unpainted
    areas.
    
    To avoid that, make sure we add damage for the delta in opaque region.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit ce66a699e6cbe670aae1c79a72b9ab14ce020d25
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 1 15:30:47 2020 +0100

    Post release tag bump
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 12a583a691a883002223a643c5c84af058d39eba
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Nov 1 15:29:43 2020 +0100

    Release 4.15.2!
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e2c690a96d013e0ea641bc429d1cf2ab2efa7746
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Oct 31 21:54:15 2020 +0100

    compositor: Add support for opaque regions
    
    Opaque region is a hint set by the clients via the _NET_WM_OPAQUE_REGION
    property to indicate the compositor which regions of an ARGB window are
    considered opaque and therefore can be culled out during repaint.
    
    While this is of little use with regular RGB windows, with the planned
    move to client-side decorations in xfce, we'll have more and more ARGB
    windows, making such an optimization a beneficial improvement.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 39eb0435df51d30a88c01677a85ffe90256ad819
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Oct 31 11:42:45 2020 +0100

    compositor: Make cursor zoom optional
    
    Xfwm4 4.14 made the cursor zoom along with the desktop. While this
    sounds like a sensible thing to do, it's not necessarily an improvement
    for accessibility, because an enlarged cursor also hides what's being
    zoomed underneath.
    
    Add a new option to control whether the pointer is zoomed along with the
    rest of the desktop.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/439

commit e5502ad4aff7f7e10e4aeecc21927dbdd563ed66
Author: Pablo Mazzini <pmazzini@gmail.com>
Date:   Sun Oct 25 09:58:13 2020 +0000

    remove unused flag --daemon

commit 3eb0a8257758dfc07d5c16c11972cbe43c6022d2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Oct 27 20:57:55 2020 +0100

    input: Disable XI2 by default
    
    Make Xi2 support selectable at configure time and disable it by default.
    
    Xi2 in the window manager causes some very subtile bugs with legacy
    applications using the core X11 protocol.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/445
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/427

commit 083e6de029753c73a9c3b6cbd4685d6815cedddb
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Oct 11 20:59:24 2020 +0200

    Yet more XError traps
    
    Signed-off-by Olivier Fourdan <fourdan@xfce.org>
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/444
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/436
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/433
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/405

commit fb4c9aec1ac2ecbf5fa25281c207fb1493673436
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Oct 11 20:56:39 2020 +0200

    compositor: No hashtable if compositor is disabled
    
    When the compositor is disabled on a given screen, there is no point in
    looking for XID in the hash table.
    
    That fixes errors like:
    
     g_hash_table_lookup: assertion 'hash_table != NULL' failed
    
    When the compositor is disabled.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 9e1b0cc6de363ac75d9a656a10b0562e0ebeb61d
Author: DarkTrick <notebook22312@gmail.com>
Date:   Tue Oct 27 20:18:06 2020 +0100

    xfwm4-settings: Keyboard: Enable column sorting
    
    Initial issue: Columns were not sortable by the user.

commit 0779790de68ccd8b45c85f01e8db7283f3a91cc0
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Tue Oct 27 00:48:50 2020 +0100

    I18n: Update translation sv (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1a639ce99e059d8760fed61d23dc66341ce4ecef
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Fri Oct 16 18:53:46 2020 +0200

    I18n: Update translation zh_CN (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7258564a09616a1215f6061849e8443bbdef70ed
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Oct 16 18:53:46 2020 +0200

    I18n: Update translation ug (85%).
    
    148 translated messages, 25 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b432c8ed1e469bf2e0a7feeff8f8f13017d1a294
Author: Igor <f2404@yandex.ru>
Date:   Fri Oct 16 18:53:45 2020 +0200

    I18n: Update translation ru (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 63c77b7af612bc911d401a0433881838226f0fa2
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Oct 16 18:53:42 2020 +0200

    I18n: Update translation hy_AM (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2488cefd693ba7ede4b1b1638054cbb9832ad7d6
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Oct 16 18:53:42 2020 +0200

    I18n: Update translation hu (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6f739958402613af7b4ee05534bd2b62d0e68d01
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 16 18:53:41 2020 +0200

    I18n: Update translation he (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cfd7bb3a3d7706f61e2b840840e3626e3f8d3775
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 16 18:53:39 2020 +0200

    I18n: Update translation da (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7bb5ada2b3cfa9af8504255ddfc3f7e48e3bd3e6
Author: Zmicer Turok <nashtlumach@gmail.com>
Date:   Mon Oct 12 12:50:00 2020 +0200

    I18n: Update translation be (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit feea5b0a8fe835e286dc5d70f71708ca9482af31
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Fri Oct 9 12:51:38 2020 +0200

    I18n: Update translation sv (98%).
    
    171 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 947e8b124a6b5192d540d50c1277916040686c51
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Sun Oct 4 00:50:01 2020 +0200

    I18n: Update translation cs (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ba2c99d2401ef7bcb3f53f883324e98192142ac4
Author: kevinbowen777 <kevin.bowen@gmail.com>
Date:   Mon Sep 7 17:48:25 2020 -0700

    Add new README.md update AM_INIT_AUTOMAKE

commit d99dca5a55a34a7962a91bf728da166be347077e
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Fri Oct 2 12:52:04 2020 +0200

    I18n: Update translation sk (98%).
    
    171 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5cce56d02d2b0a96835e606721702a9f0926f480
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Mon Sep 28 12:53:08 2020 +0200

    I18n: Update translation et (83%).
    
    145 translated messages, 28 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2427b04357d7d5280ab1b5d062ba363a12620428
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Sun Sep 27 00:48:03 2020 +0200

    I18n: Update translation et (83%).
    
    144 translated messages, 29 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3119b50bc426c58a6891317c688e55c71f7d6c91
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Sep 19 17:00:21 2020 +0200

    More XErrors traps
    
    Previously we would leak error traps in free_win_data() causing
    slowdowns overtime as the list of requests grows.
    
    While fixing the leak is crucial, it also unveiled several places where
    actual error traps are missing, causing xfwm4 to abort more often.
    
    Based on XErrors reported, the issue is triggered when freeing pixmaps
    or render pictures.
    
    Add more XErrors traps to catch those errors.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/433
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/435
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/436

commit 60239b1f033c9129c4b780fb6d809ed701b4fe9c
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Sat Sep 19 00:55:07 2020 +0200

    I18n: Update translation id (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a1fbb8f13edc5b6c0c48427d1bee7b6a3da4834f
Author: Michael Banack <bob5972@banack.net>
Date:   Mon Aug 31 07:48:07 2020 -0700

    compositor: Add cwindow_hash to optimize find_cwindow_in_screen
    
    On my system when the window manager is mostly idling (0-12 tiny
    updates per second), about half the CPU time in xfwm4 is spent in
    find_cwindow_in_screen, iterating the linked list looking for a
    matching Window id.  Instead, this patch adds a GHashTable to map
    Window ids to CWindows, completely eliminating that cost in my
    profiles, resulting in a 0.3-1.0% of a core total CPU reduction for
    this workload.
    
    Signed-off-by: Michael Banack <bob5972@banack.net>

commit 2fa246ca1e67be08f4d436eaefb8317af77da2cc
Author: Michael Banack <bob5972@banack.net>
Date:   Sun Aug 30 15:58:33 2020 -0700

    compositor: Add define for compositor_timeout_cb interval
    
    The call to g_timeout_add in add_repair seems to be mixing up priority
    and callback interval.  Instead, let's call g_timeout_add_full to make
    it clear there are two separate fields, and add an appropriate define
    for the callback interval, setting it to the same 1ms value it was
    currently using.
    
    Signed-off-by: Michael Banack <bob5972@banack.net>

commit f30446243a077ae6951e2b55635423b4118090f0
Author: Anonymous <noreply@xfce.org>
Date:   Tue Sep 15 00:48:26 2020 +0200

    I18n: Update translation oc (99%).
    
    172 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d70f11b6ad129c3a002a08dd4fd2108575e69680
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Sat Sep 12 00:52:23 2020 +0200

    I18n: Update translation sl (98%).
    
    171 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f920b9ed82cccb799ae2c7681719ba4b5bb6fca4
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Tue Sep 8 00:49:27 2020 +0200

    I18n: Update translation id (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cd1d5d22bc4c193d06da9e2f43bf3078d90f700a
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Thu Sep 3 00:50:59 2020 +0200

    I18n: Update translation et (73%).
    
    128 translated messages, 45 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5e1dfdeebd8880ae5c28aa0f7932222cf00f3b2f
Author: Arman Harutyunyan <arman.harut468@gmail.com>
Date:   Mon Aug 24 00:56:26 2020 +0200

    I18n: Update translation hye (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0a83ff7ac15ec895e8e6192e2442146782e35273
Author: Anonymous <noreply@xfce.org>
Date:   Thu Aug 20 12:54:43 2020 +0200

    I18n: Update translation lt (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6117ce1f48b8c96294869b4a729c50f317eee5d0
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Aug 9 13:09:22 2020 +0200

    Post release tag bump
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 4404740e79cc56cddfd4f57bc3dcf333e88fc6cd
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Aug 9 13:02:52 2020 +0200

    Release 4.15.1!
    
    This is a development preview release.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 390af60943effff4de496dabcb3d7015e3e581da
Author: Michael Banack <bob5972@banack.net>
Date:   Fri Aug 7 20:30:36 2020 -0700

    compositor: use g_slice allocator for compositor windows
    
    On my system, 2-4% of the CPU time in xfwm4 is being spend in
    find_cwindow_in_screeni() pulling in entries from the linked list on
    a lightly updating desktop.
    
    After this change, 25-50% of that CPU is gone, presumably because the
    slice allocators have better locality of the list-entries.
    
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/416

commit e6a32cf7d789ca3058f50fd630de8e518d310cf8
Author: Michael Banack <bob5972@banack.net>
Date:   Wed Aug 5 07:11:17 2020 -0700

    Fix errorTrap leak in free_win_data
    
    The function free_win_data() may generate X11 errors as the client
    window may already be gone.
    
    To avoid those, the entire function code is supposed to be enclosed
    within an error trap/push.
    
    A typo in the code would however push twice instead of a balanced
    push/pop which causes the list of event sequences in GDK to grow
    indefinitely, leading to slowdowns as the list grows over time.
    
    Fix the leak by balancing the error push with an error pop at the end
    of the function.
    
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/351

commit 78c5dc4264ec8cfa7bab59a39f193788bdcf4059
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Aug 8 18:25:14 2020 +0200

    compositor: use actual atom
    
    The function compositorCheckCMSelection() would use the atom index in
    our table of atoms, instead of the actual atom, so this is unlikely to
    work as expected.
    
    Fix the code to use the appropriate atom as it should.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit b510bdbab41371cc64ef6834221b6038e9c7a5c4
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Aug 8 18:17:10 2020 +0200

    cleanup: prefer zero initialized memory allocation
    
    Prefer using memory allocation functions which initialize the memory
    with 0's to be on the safe side.
    
    No functional change.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 07c948127ccf56ca4e305486e3a3fccee02c40ee
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Aug 1 16:26:34 2020 +0200

    Post release tag bump
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit bee0073b023646d40173e57782523f4b5ad87678
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Aug 1 16:15:14 2020 +0200

    Release 4.15.0!
    
    This is a development preview release.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 06707bc2b9c87eb77d093fe8041bae09472f6062
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Jul 27 21:01:48 2020 +0200

    clients: Fix a crash on FreeBSD
    
    A pid is not necessarily a long on all systems, so casting the value of
    NET_WM_PID directly into a GPid may cause a stack overflow.
    
    Fixes: 49c1a33a
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/411
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d3e2c246cd004cde91d5aad7d1fef5b942882596
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Sun Jul 26 17:06:07 2020 +0200

    Fix g_type_class_add_private deprecation

commit 80028b06656b3d38311aa0eec56b2ff1a1d15ce6
Author: Dridi Boukelmoune <dridi@fedoraproject.org>
Date:   Thu Oct 31 17:23:03 2019 +0100

    tabwin: Comply with the primary monitor setting
    
    If the user selected a primary monitor, the Alt+Tab window will only
    appear on that monitor, otherwise on all of them.
    
    To quote the GDK documentation for gdk_display_get_primary_monitor:
    
    > [...], specialized desktop applications such as panels should place
    > themselves on the primary monitor.
    
    It is however not possible to use gdk_display_get_primary_monitor and
    also respect the user's setting. Despite what the online documentation
    says, recent versions of GTK+3 may no longer return a null value and
    will instead pick one monitor as the primary if there isn't already one
    defined. The nullable marker [1] for the return value was eventually
    dropped.
    
    In other words, whether the user selected a primary monitor or not
    gdk_display_get_primary_monitor will always return one.
    
    Signed-off-by: Dridi Boukelmoune <dridi@fedoraproject.org>
    
    [1] https://gitlab.gnome.org/GNOME/gtk/commit/76d95c312dde

commit 387dc32fa754927ff14db8e6ff987b60e4a6eaeb
Author: Dridi Boukelmoune <dridi@fedoraproject.org>
Date:   Wed Jul 15 23:14:57 2020 +0200

    screen: Add a myScreenHasPrimaryMonitor function
    
    Signed-off-by: Dridi Boukelmoune <dridi@fedoraproject.org>

commit 1cc8edd5d57c906921462b39c18ea7bcc89aee1b
Author: Dridi Boukelmoune <dridi@fedoraproject.org>
Date:   Sun Sep 8 00:37:13 2019 +0200

    common: Add a xfwm_monitor_is_primary function
    
    It's a shorthand for gdk_monitor_is_primary when working from a screen.
    
    Signed-off-by: Dridi Boukelmoune <dridi@fedoraproject.org>

commit ec3b1b126815c542e4643594a53384b4c17a8c5a
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jul 25 19:28:11 2020 +0200

    More XError traps
    
    Add more XError traps related to XConfigureWindow requests.
    
    https://gitlab.xfce.org/xfce/xfwm4/-/issues/405
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 9351d439c8d7d6b53cf080ecad0ea091ff052e71
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jul 25 18:52:08 2020 +0200

    pixmap: Use strncpy()
    
    To be on the safe side.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 056ba6adbf44ded5b4f51338ef3a14cecdbde213
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Jul 15 16:14:48 2020 +0200

    settings: Duplicate string gvalues
    
    The gvalues strings were considered statics, hence not duplicated.
    
    As the caller frees the strings after setting the gvalue, the actual
    content would end up pointing at free data.
    
    Consider string gvalues as regular strings, meaning that the given
    string value is duplicated as a gvalue.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/406

commit 6637211efa572e27e92d231357da4b142bfa38cd
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Jul 15 14:21:00 2020 +0200

    client: Really send synthetic configure notify
    
    Commit 821ee7cc would not actually send the synthetic configure notify
    events anymore. That obviously breaks plenty of applications…
    
    While the logic of the commit itself is sound, the problem is that it
    bases the descision to send the configure notify event by comparing
    against the current window size and location.
    
    The problem is that the current window size and location is modified in
    various places, defeating the logic.
    
    Add an “applied_geometry” rectangle that we update only in a single
    place in the code, so that we know exactly when to send a synthetic
    configure notify event.
    
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/403
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 6c7121733900a35f03a65d0f1128be67c5446a66
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Jul 15 11:59:07 2020 +0200

    client: Use GdkRectangle for saved size/position
    
    The size and position of the client are stored at multiple occasions.
    
    But the naming of the variables used is a bit confusing, rename the
    variables and use GdkRectangles instead.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 34457549e087f1f94de7ecd50159e85d8de1b3e9
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Mon Jul 13 00:49:41 2020 +0200

    I18n: Update translation ko (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5a5129c159539d6d6584f7718bb8f4d3bfabb178
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Wed May 27 11:17:42 2020 +0200

    icons: Fix background of svgs and png exports

commit c9a8d976bb6aff7e994f18a9806a989d3fec6f62
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 6 00:47:36 2020 +0200

    I18n: Update translation he (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 71347177e8daf5e397df8b00ba7911d5dad049ce
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 2 00:47:55 2020 +0200

    I18n: Update translation he (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a4a434554340b056dca9d04c27050fe92635f394
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Jun 28 12:51:12 2020 +0200

    I18n: Update translation kk (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c9d6f4d081b313a46bf78e76c2f373990fca7164
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 22 00:48:17 2020 +0200

    I18n: Update translation he (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 093de7ea1a75e628ebcc0ce1a2fa3520ac244579
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 15 12:50:50 2020 +0200

    I18n: Update translation he (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ca9b6f20824382cec6351e32d918c53110543cb7
Author: Emin Tufan <etcetin@gmail.com>
Date:   Mon Jun 15 00:49:11 2020 +0200

    I18n: Update translation tr (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a1f178284b566c2ea40621945f5e9bbd6aeca1f0
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Sat Jun 13 00:48:45 2020 +0200

    I18n: Update translation sq (98%).
    
    171 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 821ee7ccc79d1c1214143afe857a012e81c28759
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Jun 12 17:34:23 2020 +0200

    client: Do not always send a synthetic configure event
    
    xfwm4 would send a synthetic configure event while resizing the client
    window, which is not what the ICCCM states.
    
    Fix this by sending the synthetic configure event only when necessary,
    as per the ICCCM specification.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit ecabdea981f3ecf03f2f6b32b7887925456435d0
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Jun 12 17:30:27 2020 +0200

    client: Small cleanup
    
    Avoid setting the same flag twice in a row, we already set the
    CFG_REQUEST just a few line above.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 7e64f36093dc82018482128e71dee29da9b8ef9a
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Jun 12 17:22:20 2020 +0200

    Revert "focus: Ping client on focus"
    
    Some client do not process events on their temporary windows, causing
    the client unresponsive dialog to show up.
    
    Avoid pinging the client on focus in, even though this is clearly a
    client bug.
    
    This reverts commit 637d70b2c58ad27b07703a6813642c15dee3c826.

commit 5f21382d7a94c9022c0e498c7ea5c68d5d86661c
Author: Steve Harris <steve@cultureofweb.com>
Date:   Fri Jun 12 00:49:16 2020 +0200

    I18n: Update translation en_CA (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4fcccf719f6955677f53c82b427648820d211a31
Author: Andrii Protsun <minamotosoft@gmail.com>
Date:   Thu Jun 11 12:52:15 2020 +0200

    I18n: Update translation uk (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d91c76c9090bec96747cde773cc843f686d55134
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Thu May 28 00:49:38 2020 +0200

    I18n: Update translation id (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ef0a4ab2522b1c284a144bf9404e0c5e5452384e
Author: Ivan <personal@live.hk>
Date:   Wed May 27 12:51:57 2020 +0200

    I18n: Update translation zh_HK (94%).
    
    164 translated messages, 9 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 78c44a560d72a2c88ed36d7029cf7eb4e004ede9
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Wed May 27 00:49:29 2020 +0200

    I18n: Update translation et (71%).
    
    124 translated messages, 49 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a61d298aff6322503de90e6afbf05f1d19e6a17e
Author: Real School <localization@ehayq.am>
Date:   Mon May 25 12:56:29 2020 +0200

    I18n: Add new translation hye (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aac08d57149b8fed5ab2e16184e969fad4bbbb45
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Mon May 25 12:56:28 2020 +0200

    I18n: Update translation sq (98%).
    
    171 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7c4a8adddf8c44e0c33f8eb01c8f46ad4a9f9791
Author: Igor <f2404@yandex.ru>
Date:   Mon May 25 00:48:39 2020 +0200

    I18n: Update translation ru (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 35330202fb7adee03bb811a9239328a55f86c8ca
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Mon May 25 00:48:38 2020 +0200

    I18n: Update translation et (55%).
    
    96 translated messages, 77 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 94501a90e78ad12949ba212669a5ec345bad9eb4
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Sat May 23 12:48:49 2020 +0200

    I18n: Update translation et (53%).
    
    93 translated messages, 80 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ea829d13a944e7352345ae77c99c168442a4992c
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Tue May 19 01:50:09 2020 +0200

    Add new xfwm4 icons

commit 637d70b2c58ad27b07703a6813642c15dee3c826
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 23 11:11:38 2020 +0200

    focus: Ping client on focus
    
    To make sure that they are still alive and detect hung clients.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 49c1a33a4dfe15f312334584c22b4ec3ed792214
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 23 10:47:13 2020 +0200

    client: Rely in XRes reported PID is available
    
    When xfwm4 needs to kill an unresponsive client, it will use the its PID
    is known.
    
    However, the _NET_WM_PID as defined in the extended window manager hint
    mechanism is unreliable when the client runs within a sandbox, as it is
    the client itself who sets that property using its own view of the PID.
    
    The Xserver can provide a more accurate value of the client PID using
    the XRes X11 extension, so use that protocol if available.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 010f8281a2afd8a79eea94b1c7b4b2bd4d754b4b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 23 10:33:21 2020 +0200

    display: Add support for XRes X11 extension
    
    The X-Resource extension client library (XRes) allows a client to query
    the Xserver for various resources associated with an X11 client,
    including its PID.
    
    Add (optional) support for XRes in xfwm4 and use it for getting the
    client's PID instead of relying on _NET_WM_PID.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 15afdcd345d870116e58ff9de36b401722fa9ca1
Author: Vincenzo Reale <vinx.reale@gmail.com>
Date:   Fri May 22 00:52:06 2020 +0200

    I18n: Update translation it (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 63fce0876a4efd997538e43d66bad5f811830721
Author: Ignacio Poggi <ignaciop.3@gmail.com>
Date:   Fri May 15 12:48:31 2020 +0200

    I18n: Update translation es (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 84e7e9538d7f884af0c007fdce18a9c8ea34c229
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed May 13 00:48:18 2020 +0200

    I18n: Update translation pt (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 98955c6c0780e2ae6e81dcb3e3c87f9396b5cb48
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Mon May 11 23:57:11 2020 +0200

    Add basic GitLab pipeline

commit 25eef026f3a874881ab5064268b3362fe7d4edc0
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Mon May 11 12:48:45 2020 +0200

    I18n: Update translation nl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9e26c0b20686e51e2478f4c81d3091d0688f4cd2
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Wed May 6 00:48:53 2020 +0200

    I18n: Update translation pt_BR .
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b835473b2b6c6775c8f9b0efaa0a9d6064772618
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 1 19:34:49 2020 +0200

    I18n: Update translation pt_BR .
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1383d8e48d4bc06556b34c301de105b527731cbb
Author: Ignacio Poggi <ignaciop.3@gmail.com>
Date:   Fri May 1 00:21:01 2020 +0200

    I18n: Update translation es (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c40d766ba3e6be9bf384a1cb0a3f7bc88a6d783a
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Sun Apr 26 00:18:46 2020 +0200

    I18n: Update translation sr (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 09bf511b98e176b93fc49f03d1399adeedb9b67d
Author: Saverio <saverio.brancaccio@gmail.com>
Date:   Sun Apr 26 00:18:45 2020 +0200

    I18n: Update translation it (98%).
    
    171 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 006ee7d364680ba5f2a6b6cbbe244da7bb22136e
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Sun Apr 26 00:18:45 2020 +0200

    I18n: Update translation et (50%).
    
    87 translated messages, 86 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 57ca1ccb457885b4c50b5c885adcad02fbc415a8
Author: Ignacio Poggi <ignaciop.3@gmail.com>
Date:   Sun Apr 26 00:18:45 2020 +0200

    I18n: Update translation es (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dbf98a6dc87253bb64a906290c09a54cadaf8a2c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Apr 22 21:10:06 2020 +0200

    main: Clean up long lines
    
    It's easier on the eyes...
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 2c78273d35abc60af697b571713809b00b40ce38
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Apr 22 21:06:07 2020 +0200

    main: Don't use the compositor if not available
    
    Bug: 16713
    
    If one of the required X11 extension is not available, the composiutor
    cannot be used.
    
    Yet xfwm4 would still try to enable the compositor for each screen,
    which would not work and prevent xfwm4 from starting.
    
    If we can't use the compositor, well, we'd better not use it...
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e268df73bce20c07ccf0e2c4a893c197e3f6dbc2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Apr 21 21:10:55 2020 +0200

    cycle: Revert to original window when clicking
    
    Clicking outside the tab-win would cancel the selection, make sure to
    revert to the original first window of the list in that case, it feels
    more natural and predictible.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 7bd23e3f2a0b63f6501bf6867468a232577bd9ec
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Apr 21 21:07:23 2020 +0200

    pixmap: Fix rendering without XRender
    
    Bug: 16713
    
    Without XRender, the mask would be misrendered and completely
    transparent.
    
    As a result, the entire pixmap would become totally transparent and all
    window decorations become invisible.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d2cf2e80ee0c997ae951282a611fadbd8c832094
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 20 20:52:59 2020 +0200

    cycle: Do not grab the pointer for alt-tab
    
    Bug: 16708
    
    With Xi2, the clients needs to reset the valuators (for mouse wheel)
    themselves, usually on focus events.
    
    Qt instead does that on EnterNotify, but ignores the EnterNotify events
    resulting from grabs first. This is a bug in Qt as that prevents the
    valuators to be reset if the pointer enters the window while grabbed.
    
    Precisely, xfwm4 would issue a pointer grab while cycling to prevent
    from random button events, and would only ungrab after the client window
    is raised and focused.
    
    While this is a bug in Qt, we can still work around the issue in xfwm4
    by not issuing a pointer grab and simply abort the window cycling when a
    click occurs outside of the alt-tab window.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 308512e14da1ab0af2a88fda5707980d286d3049
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 20 20:23:17 2020 +0200

    frame: Update frames when scale-factor is changed
    
    Update the Pango attributes whent he widget font factor is updated, then
    repaint all frames.
    
    With this, changing the scaling factor in the appearance settings
    updates the title font dynamically as well.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 065a12049437200035e052962a2a6064f9a31be8
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 20 20:21:24 2020 +0200

    screen: Remove pre-computed font height
    
    Bug: 16067
    
    The font height is not used anymore, remove it.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e3bf9ae517a40007bfe92663e3e7ae052f3655f9
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 20 20:18:01 2020 +0200

    frame: Do not use the pre-computed font height
    
    Bug: 16067
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit fbd078082dddb5b27b92fdf5b3d058baf6bd06bc
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 20 20:13:57 2020 +0200

    Revert "frame: Fix title align"
    
    Bug: 16711
    
    We need to keep the pango font attributes for the scale with HiDPI.
    
    This reverts commit 34a31e274af2636d7bcb7cba833738ef4ff1be3e.

commit 4e9f5675d23aad8b3999ac8fed8837f10af9d2ed
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:55 2020 +0200

    I18n: Update translation zh_TW (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5c2f6f5adf1c67cffbe4d10f00452b1eaa401093
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:55 2020 +0200

    I18n: Update translation zh_HK (91%).
    
    158 translated messages, 15 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2095b0058fd4825f0e2b02eb998c4e781b8ff5c2
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:55 2020 +0200

    I18n: Update translation ur (71%).
    
    123 translated messages, 50 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6cd8fe61e1c27ef05194dff8f47e6e709dff78d5
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:55 2020 +0200

    I18n: Update translation ur_PK (71%).
    
    123 translated messages, 50 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5184e738262440c0dab8691e78ed09f2dd613f15
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:55 2020 +0200

    I18n: Update translation uk (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bc57c5c5edfaf8660c3da20d72f15e2e2ce1c7fe
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:54 2020 +0200

    I18n: Update translation ug (85%).
    
    148 translated messages, 25 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 99253c9dc8b06d49bf43f89383054260b3a9aada
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:54 2020 +0200

    I18n: Update translation tr (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 066bee98b5ec8d21c7e47bfe94f134ea9695b584
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:54 2020 +0200

    I18n: Update translation th (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3a4605135c86672ad0c3d1149bbae8ebe253ce4a
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:54 2020 +0200

    I18n: Update translation sv (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 136b5abe49ca8e5ae8880748de79360d25944019
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:54 2020 +0200

    I18n: Update translation sr (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fad784beda26a63da8cf86ca3e529d5d11188b21
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:54 2020 +0200

    I18n: Update translation sq (97%).
    
    168 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 53a1b5576297253093d2b3a8fae41ea1001c6c53
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:54 2020 +0200

    I18n: Update translation sl (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 326bef6c8bfdb441a026e8df47ad917bc3d6133e
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:54 2020 +0200

    I18n: Update translation sk (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4b45ba151431c7385f52bec7f90a83e56c175306
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:53 2020 +0200

    I18n: Update translation ru (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a2b5a0ae1eca4f6220fc8c29d478016199b0c9ae
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:53 2020 +0200

    I18n: Update translation ro (93%).
    
    161 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4c97533c9f4f8351037cf12bb25d824a23e5f797
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:53 2020 +0200

    I18n: Update translation pt (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f5a14f5fd89fda2bf4f12a41f49c5bc45ef4947b
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:53 2020 +0200

    I18n: Update translation pt_BR (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bb112931412f5cbf18d97e958e905e3cb8d931f3
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 15 00:22:53 2020 +0200

    I18n: Update translation pl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 08eec2a838ce97ece6fd29ff176ce884a13871e3
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:53 2020 +0200

    I18n: Update translation oc (97%).
    
    168 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1fe2f05ddcb39049cf011a8e125c9d6c0420375f
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:52 2020 +0200

    I18n: Update translation nn (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2e523d8800cde448b78102d0019690a5874ac964
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:52 2020 +0200

    I18n: Update translation ms (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 37e5a2d6df6e5270471b10795fc58e6d24ef0a05
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:52 2020 +0200

    I18n: Update translation lv (72%).
    
    125 translated messages, 48 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a871bc8d8cd911e775ab0d43f836110335065095
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:52 2020 +0200

    I18n: Update translation ko (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bf2e543f3b5ba979cc5bf0789a838afd9286a49f
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:52 2020 +0200

    I18n: Update translation kk (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5017abdbfdee8784c149802f2b6bdaa78b70a189
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:51 2020 +0200

    I18n: Update translation ka (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1a90922e65cf7ee1a565585cc14be46c4fc9854d
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Wed Apr 15 00:22:51 2020 +0200

    I18n: Update translation ja (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 871001c2d2fb9270031a05d59874a8c65d115318
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:51 2020 +0200

    I18n: Update translation it (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1d9fa50d37dd78b560e723293c78b285267cb250
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:51 2020 +0200

    I18n: Update translation is (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 73c86649300abf6fe2ad19f175e1ff7f7f0f306d
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:51 2020 +0200

    I18n: Update translation ie (83%).
    
    145 translated messages, 28 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bc9207cac9c9a40d57741d8a16711c8a52e59e22
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:51 2020 +0200

    I18n: Update translation id (96%).
    
    167 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6ebac25a5b447c77e4a5a4231dd6b0fa430a9bb4
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:51 2020 +0200

    I18n: Update translation hy_AM (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 35c4639fd318b790f4bacc5022a63bd817214bbd
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:50 2020 +0200

    I18n: Update translation hu (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 42a9846c34ffe15cac51a1b6d063d5acf45b7ff9
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:50 2020 +0200

    I18n: Update translation hr (97%).
    
    169 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d989c92d71894cbd30317fa633decdc38038e96f
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:50 2020 +0200

    I18n: Update translation fi (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8129c2c2e5a80c5bc4f2cb9a3f1add0e784279c2
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:50 2020 +0200

    I18n: Update translation fa_IR (56%).
    
    98 translated messages, 75 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 16b9ea7de54fa1012fc4bafa24356fb3c25987c0
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:50 2020 +0200

    I18n: Update translation eu (91%).
    
    159 translated messages, 14 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a520f58d108d6110845a0862b9112df44c828497
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 15 00:22:49 2020 +0200

    I18n: Update translation es (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8901bbfc0dd2d10768cc8e90026aa37713183811
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:49 2020 +0200

    I18n: Update translation en_GB (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 59b36915bf5a89fcfeb1077f01302f03bdaa6570
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:49 2020 +0200

    I18n: Update translation en_CA (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 88c28e1eb1e347009b0ac1e0de0ed9ef5686b16d
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:49 2020 +0200

    I18n: Update translation en_AU (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 891e1238205d5e00bb455b57716e9419b6d2699c
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:49 2020 +0200

    I18n: Update translation el (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7d5b3d3b2f86fd68413197311431cb4b0709064a
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:49 2020 +0200

    I18n: Update translation cs (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 81e464cf8ddbcbb7c49bde184ad5c75f4b6b83f7
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:48 2020 +0200

    I18n: Update translation bn (78%).
    
    135 translated messages, 38 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit db67c958215c0394827ac0639f60e78beab2ab52
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:48 2020 +0200

    I18n: Update translation be (98%).
    
    170 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c3eb4019b7646226b9bc114cb6407cb79ddc6abb
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed Apr 15 00:22:48 2020 +0200

    I18n: Update translation ar (97%).
    
    168 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ad33f686d645a89b6894e2abd9f3c2b6edf67301
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 13 18:28:00 2020 +0200

    frame: Protect XShape requests
    
    Bug: 16383
    
    If the window has vanished, the XShape request will fail.
    
    Make sure all XShape requests are protected by error traps.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit a1c712fe162890f30a04459468e80d206bfc9179
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 13 14:24:27 2020 +0200

    device: Move error trap/push closer to X11 grabs
    
    As we already do an error trap/push with X11 core devices, do the same
    with Xi2 grabs and remove the check from the callers as it is not needed
    anymore.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 3d6e0472e9a5ec310ff11294ae2c07dfd4a1f538
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 12 19:59:15 2020 +0200

    transients: Do no search for parent in lower layers
    
    Bug: 15891
    
    When raising a transient window we would automatically raise its parent
    windows.
    
    However, if the transient and parent are not placed on the same layer,
    we might raise the parent from a lower layer.
    
    To avoid that issue, limit the scope of search to the same or higher
    layers.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 20e38b730181ab39b8c222fccd0da58d5cb11c26
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 12 16:20:27 2020 +0200

    Development version
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 5f29827fd47e677bbefaae0cce67edfa00cd7e7f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 12 10:20:26 2020 +0200

    compositor: Use a message instead of warning
    
    When using automatic vblank mode, use a message instead of a warning.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 23900123ad8418149897a094d1096d6ecb984d3c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Apr 11 18:55:36 2020 +0200

    compositor: Smarter vblank auto mode
    
    With vblank mode set to auto (default), use the GL renderer to select
    XPresent on Intel and AMD if available.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 09fc6c9d20e50b54bbde3abc6a8883b648de5aee
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Apr 11 17:54:39 2020 +0200

    compositor: Fix unwanted change
    
    glEnable() is not once the texture type is chosen, no need to do that in
    advance.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 526d92dd14507a67bc18cc4b995701cd51d5efb8
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Fri Apr 10 12:32:49 2020 +0200

    I18n: Update translation nb (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit de4db5273d5449c08875b53e1d0506b8e1cc68b4
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Apr 9 19:50:06 2020 +0200

    device: Remove leftover conditional
    
    An `else` statement was left after the recent code rework.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e6275f069d7943e1cd20423435b1072210bee945
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Thu Apr 9 18:33:08 2020 +0200

    I18n: Update translation nl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6bb26e4abbb01318cf49fbce328c6adddddb1dc4
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Thu Apr 9 06:33:30 2020 +0200

    I18n: Update translation zh_CN (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ff01ce8632b71159906ef0ae3893cb96ecfe5b28
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 9 00:33:10 2020 +0200

    I18n: Update translation lt (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 25eca2752133467d1cdb366c9557ebd62fb28143
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Apr 8 20:56:15 2020 +0200

    compositor: Really avoid painting a screen of zero size
    
    Bug: 15852
    
    Previous attempt to fix a crash with a screensize of 0, which can occur
    without any output connected was incomplete (commit 3925109d) as a
    client might still trigger a repaint by queuing up damages.
    
    Make sure we take this case into account as well.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit f41e57e1b4086bb1f586c0ee79e3856f092a128b
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Wed Jan 15 23:21:48 2020 +0100

    tabwin: Ensure selected windows remain selected
    
    Bug: #16382
    
    After hovering the currently selected item the tabwin would be left
    without a selected item. This patch makes sure that on the leave event
    the selected item regains its selected style.
    
    Also switch from GTK_STATE_FLAG_ACTIVE to GTK_STATE_FLAG_CHECKED.

commit af7db8ee2dc75c77dbd1011bdf8b970c452eca8d
Author: Andre Miranda <andreldm@xfce.org>
Date:   Tue Apr 7 20:06:00 2020 +0200

    Fix GTimeVal deprecation
    
    Bug: 16644
    
    GTimeVal is deprecated, use the GDK API du jour instead.

commit 0c376d254293ca52162bcddf4bcfa5908fb28e4c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Apr 7 19:53:58 2020 +0200

    device: Check standard passive button grabs
    
    Bug: 16649
    
    With Xi2 we need to use Xi2 routines.
    
    But some client may issue standard X11 core protocol grabs the on the
    client window.
    
    Grabs from the standard core protocol and Xi2 grabs do not mix well.
    
    So instead of ditching the Xi2 grabs, we issue the core protocol first,
    check that it succeeds and only if that works we can issue the Xi2
    grabs.
    
    That keeps the Xi2 grabs logic while fixing the issue with X-AIR-Edit
    which uses a passive grab on the pointer using core X11 protocol.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 0da6c4be6acc950ccdf0091376ed35204101031e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Apr 7 19:53:36 2020 +0200

    Revert "device: Use standard grabs for passive button grabs"
    
    Bug: 16649
    
    This reverts commit aa3e3cac7fb200f65f50bed32309c002775ed68a.

commit a7661863a7ded328c540271720216deb0966cc1d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 7 18:32:39 2020 +0200

    I18n: Update translation da (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 058bb70fe256e0c86fcc8525e2c9a5b7a88e5c6f
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Mon Apr 6 18:32:27 2020 +0200

    I18n: Update translation fr (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 94aec92c308e070a0ff3f3ceaff0bc7da653cd81
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Mon Apr 6 18:32:27 2020 +0200

    I18n: Update translation de (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b589348f7a8a451d31120c5a188e090946896d6d
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Mon Apr 6 18:32:27 2020 +0200

    I18n: Update translation bg (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f340218b09d14bcbe49a849e907a50116f15a403
Author: Elishai Eliyahu <e1907@mm.st>
Date:   Mon Apr 6 12:34:06 2020 +0200

    I18n: Update translation he (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b556d559f098632f30020914165d5759349ac868
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Mon Apr 6 12:34:06 2020 +0200

    I18n: Update translation gl (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 91aea314fe0a8f5a036d2bcbf9adf952792b1079
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Mon Apr 6 12:34:06 2020 +0200

    I18n: Update translation ca (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ccc50179b88057b36de43ad7ccdfbacf76d68591
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 6 06:32:18 2020 +0200

    I18n: Update translation be@tarask (100%).
    
    173 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aa3e3cac7fb200f65f50bed32309c002775ed68a
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 5 17:41:12 2020 +0200

    device: Use standard grabs for passive button grabs
    
    Bug: 16347
    
    XInput2 passive button grab would not fail if the button is already
    grabbed by the client.
    
    X-AIR-Edit is such a client which issues a button grab on its own
    window, meaning that with XI2 button it would not react to button events
    anymore.
    
    Revert to the standard grab button for the passive grabs so that such
    apps can still work with xfwm4.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit f3994308b5513899222738326fba01aa2a93ac2c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 5 17:18:14 2020 +0200

    moveresize: Restore window state on move
    
    Bug: 16348
    
    When moving a maximized window, we would not restore the actual window
    state.
    
    With client-side decorations, that prevents shadows from being enabled.
    
    Make sure to restore the actual client state when moving.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 34a31e274af2636d7bcb7cba833738ef4ff1be3e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 5 17:01:55 2020 +0200

    frame: Fix title align
    
    Bug: 16067
    
    The font height might be wrong, just get rid of it.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 53bf7bab95f17897d5282de094888ef63696451b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 5 16:55:41 2020 +0200

    compositor: Blacklist SVGA3D renderer
    
    Bug: 16274
    
    Blacklist the GL renderer "SVGA3D" to disable GL on Virtualbox.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 1e3dd9c8a5510144676ac1df4c4a21ca88a69bf5
Author: Stefan Berzl <stefan@localhost.localdomain>
Date:   Sat Sep 16 02:00:17 2017 +0200

    settings-dialog: Fix drag and drop of buttons
    
    Bug: 13861
    
    Drag and Drop inside GtkSocket and GtkPlug doesn't work correctly.
    
    The drag_end handler isn't called when a button from "Button layout" is
    dragged.
    
    Fortunately, this only happens when the button is dragged onto the
    specified drag area.
    
    All we need to do is move the gtk_widget_show() function at the end of
    the drag-data-received handler.

commit 8dd22120b4c4d97259bf5f35cd0eb08d6226a3a3
Author: Yousuf Philips <philipz85@hotmail.com>
Date:   Tue Mar 3 21:28:43 2020 +0400

    setting-dialog: Add keywords to .desktop files
    
    Bug: 16621
    
    Add keywords to the desktop definition files.

commit a74651cb53aa0f0cebfea1bd1fd2d361fdcd789f
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Wed Jan 15 22:03:14 2020 +0100

    compositor: Don't draw shadow on maximized windows
    
    Bug: 16381
    
    This can lead to misleading situations, e.g. if you have >1 display and
    the edge of the next display is blurry/dark for no obvious reason.

commit 4cceb837d3256332945f5da1c0078ba51f2a9ffb
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 25 18:33:15 2020 +0100

    I18n: Update translation pl (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 41e6c38796e7b7e29ae27cffcdd7c31c2201329e
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Thu Mar 19 00:32:35 2020 +0100

    I18n: Update translation nl (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f6a31ad8027f124a0626d00a39cfe88a576cd41c
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 4 18:32:33 2020 +0100

    I18n: Add new translation be@tarask (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 733997ee61301605a60752d9ee75f40f4afc0dc4
Author: Zmicer Turok <nashtlumach@gmail.com>
Date:   Sun Mar 1 12:33:31 2020 +0100

    I18n: Update translation be (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3ff4652ffd89ff7580d8412c842a2db21dbcbded
Author: Zmicer Turok <nashtlumach@gmail.com>
Date:   Thu Feb 27 12:32:39 2020 +0100

    I18n: Update translation be (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 47d62bbc69418ec3abcaf2ddfeebf9f8fadaf70f
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Tue Feb 18 18:32:19 2020 +0100

    I18n: Update translation nl (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9a2556cfeedcc1b73cea36e5045073ecdf9fd39a
Author: José Vieira <jvieira33@sapo.pt>
Date:   Mon Jan 20 06:32:47 2020 +0100

    I18n: Update translation pt (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 764f5b56fcf67bdd0136049aa85d311934740df5
Author: José Vieira <jvieira33@sapo.pt>
Date:   Sun Jan 19 00:33:04 2020 +0100

    I18n: Update translation pt (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9fae208a22e40a98f66f7b4498107fbe6c18fa6b
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Fri Jan 17 18:32:18 2020 +0100

    I18n: Update translation pt (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cfcbe43301239259cd6bbf642c429bc345e4c193
Author: José Vieira <jvieira33@sapo.pt>
Date:   Wed Jan 8 18:32:30 2020 +0100

    I18n: Update translation pt (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a657baa98c50b4a527519b3f78a5f525fd82d5eb
Author: Besnik <besnik@programeshqip.org>
Date:   Wed Jan 8 06:33:17 2020 +0100

    I18n: Update translation sq (98%).
    
    168 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 15b20670fe537563ce4ed238189be9b8e081038b
Author: Besnik <besnik@programeshqip.org>
Date:   Wed Jan 8 00:33:57 2020 +0100

    I18n: Update translation sq (98%).
    
    167 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ef9c8c12f3546462ddd347707c3d5e014f53510f
Author: zura davitashvili <zdavitashvili0@gmail.com>
Date:   Mon Dec 30 12:32:37 2019 +0100

    I18n: Update translation ka (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7899b35a3d4477d7cad261b78addd7d8dd715d6e
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Fri Dec 27 00:33:04 2019 +0100

    I18n: Update translation es (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6b806e4b7892933ab317d501201defa978afab98
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Thu Dec 26 18:32:20 2019 +0100

    I18n: Update translation es (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 20e390967f385d0424bd2232415a78503441ae4e
Author: Ivica  Kolić <ikoli@yahoo.com>
Date:   Tue Dec 24 00:34:56 2019 +0100

    I18n: Update translation hr (99%).
    
    169 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ed9fbbc5845df073ca9b43d1d2f9e679ff5df4be
Author: zura davitashvili <zdavitashvili0@gmail.com>
Date:   Sun Dec 22 12:33:46 2019 +0100

    I18n: Update translation ka (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dbaecb3e095d9798466f8ddd073b31ab91751993
Author: zura davitashvili <zdavitashvili0@gmail.com>
Date:   Mon Dec 9 18:32:32 2019 +0100

    I18n: Update translation ka (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ae94cbc6adcacf5dd7d29b7b5910f26d77e1f955
Author: zura davitashvili <zdavitashvili0@gmail.com>
Date:   Mon Dec 9 12:32:44 2019 +0100

    I18n: Update translation ka (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 76a05099e8b7597b26b626eaf47c016c01d46543
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Dec 8 12:33:14 2019 +0100

    I18n: Update translation es (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f5453613cd8c941cb5236df239059ee0b5e978c9
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Dec 8 06:33:09 2019 +0100

    I18n: Update translation es (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ac1adf064719209f677067b4346dfdf335524f2e
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sat Dec 7 00:32:35 2019 +0100

    I18n: Update translation es (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8fbb17f9240c2712aae9b6e76eb9486c4a837fe5
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Fri Dec 6 18:32:57 2019 +0100

    I18n: Update translation es (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f415e92041877b59dc706a8d38d189505579fdd1
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Mon Dec 2 00:32:07 2019 +0100

    I18n: Update translation es (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 69a5c898d60aeaed4b8a3a7c7c107101861c86c1
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Dec 1 12:32:52 2019 +0100

    I18n: Update translation es (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 642eeb7d85711229cfec82ad5bf7ce92aeaa198a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 26 18:33:26 2019 +0100

    I18n: Update translation eu (93%).
    
    159 translated messages, 11 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b694acea649672195127a90e30d33c0962d44923
Author: zura davitashvili <zdavitashvili0@gmail.com>
Date:   Sun Nov 24 00:32:25 2019 +0100

    I18n: Update translation ka (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 02d8c9c2719b60ba8190d57c8b889f7035a40cbb
Author: José Vieira <jvieira33@sapo.pt>
Date:   Thu Nov 21 18:32:27 2019 +0100

    I18n: Update translation pt (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 58006de3adf56c0d6ef3d52a3b7ab21540135562
Author: Anonymous <noreply@xfce.org>
Date:   Thu Nov 21 00:32:40 2019 +0100

    I18n: Update translation fi (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ac106d0755ac69744cfa72265e09cffa69bcdfcc
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Tue Nov 19 18:33:11 2019 +0100

    I18n: Update translation nl (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 667b140c01883992b6749c1c82b4cbc024c368a9
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Mon Nov 18 18:32:22 2019 +0100

    I18n: Update translation nl (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 88c739c3efba49d4c1d539db7fb5d4b7066e3a34
Author: Åsmund Berg Holm <berg.holm@outlook.com>
Date:   Sat Nov 9 00:32:05 2019 +0100

    I18n: Update translation nb (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e1f2e3406eee022862b93c73920e7f25b975f2f6
Author: zura davitashvili <rouchage@gmail.com>
Date:   Sat Oct 26 00:32:56 2019 +0200

    I18n: Update translation ka (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2cd30ccaf74c30d3845ad617ccbd7255eb6fa6f0
Author: zura davitashvili <rouchage@gmail.com>
Date:   Fri Oct 25 18:35:07 2019 +0200

    I18n: Add new translation ka (99%).
    
    169 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d899aacbcc1bb0e0021cb95a7235f98ba90688b6
Author: Ali Rostami <rostami.ali@gmail.com>
Date:   Mon Oct 21 00:36:50 2019 +0200

    I18n: Add new translation fa_IR (57%).
    
    98 translated messages, 72 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 475316634de272f2c83de8e1a29c313418e775a4
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:49 2019 +0200

    I18n: Update translation zh_HK (92%).
    
    158 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1255ac2b2a9cd6f7f9a4d065d2936a2a54c2dc43
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:49 2019 +0200

    I18n: Update translation vi (50%).
    
    85 translated messages, 85 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bd77780e850500ac25c7b756d0ac5b9c37998150
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:49 2019 +0200

    I18n: Update translation ur (72%).
    
    123 translated messages, 47 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e29e323ce67abd888138ad1432c92cb848de18e3
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:49 2019 +0200

    I18n: Update translation ur_PK (72%).
    
    123 translated messages, 47 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e3a2057cd06b758ca9b904ee4a7b41f36e1f52e6
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:48 2019 +0200

    I18n: Update translation ug (87%).
    
    148 translated messages, 22 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d7bb56c41763cc4ceaca4ab3b81385539f4b6b22
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:48 2019 +0200

    I18n: Update translation sv (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4ae9e695175dfb6e71f9d2cd9b4c7ce55ca37cb7
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:48 2019 +0200

    I18n: Update translation sq (87%).
    
    148 translated messages, 22 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 268f9a7081d48f904e6c1393c2dcb024d53d0abf
Author: Jose Riha <jose1711@gmail.com>
Date:   Mon Oct 21 00:36:48 2019 +0200

    I18n: Update translation sk (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 87b463a4228b161910d85e611948016dc6cb5c4c
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:48 2019 +0200

    I18n: Update translation ro (94%).
    
    161 translated messages, 9 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 22890065d20916dcadc166fa720800be87471a31
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:47 2019 +0200

    I18n: Update translation oc (98%).
    
    168 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 34e2bd924ddb1b1de5eefd9f233859426a793a6b
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:47 2019 +0200

    I18n: Update translation lv (73%).
    
    125 translated messages, 45 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 867d1feb2b2843781e76ebee1417a0af26d968f0
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:47 2019 +0200

    I18n: Update translation is (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bde93d9ffd28e2624d7bab2c62c5146bf4729abe
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:47 2019 +0200

    I18n: Update translation ie (85%).
    
    145 translated messages, 25 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6fda9763aa6ebfafe989066f4039c7c0e57fe454
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:47 2019 +0200

    I18n: Update translation eu (92%).
    
    157 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 351e04c860420d4d34d2e6581f4d1419c9d45201
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:46 2019 +0200

    I18n: Update translation en_GB (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 310dfbb7aabbb62a0b54962dae2a981f95be497f
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:46 2019 +0200

    I18n: Update translation en_AU (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit da732da8b58c62aee0fee8a579f4a3f5c93eacaf
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:46 2019 +0200

    I18n: Update translation el (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9ac4281f65eab798b94e9383f314b428af5f7aec
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:46 2019 +0200

    I18n: Update translation bn (79%).
    
    135 translated messages, 35 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 50e18f53a55632cba425443e667cd30bd954fafa
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:45 2019 +0200

    I18n: Update translation ast (93%).
    
    159 translated messages, 11 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2fe57f81fa67b075ae59bf13ea74d26e00de6463
Author: Xfce Bot <transifex@xfce.org>
Date:   Mon Oct 21 00:36:45 2019 +0200

    I18n: Update translation ar (98%).
    
    168 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0e91faba6701b4c578fd50f81565d02aaa8ebd09
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Sat Oct 19 18:32:25 2019 +0200

    I18n: Update translation sl (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 318670639d2f791c617875b6cb262771bd86e0c1
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Sat Oct 19 12:32:26 2019 +0200

    I18n: Update translation sl (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 855087790521baf30a3e557d86b5f1389dfe8149
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Thu Oct 17 12:34:07 2019 +0200

    I18n: Update translation ko (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1d0a4a95b47d6f2b524ec61bfb0ac48bb838911c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Oct 16 13:18:23 2019 +0200

    themes: Fix leftover SVG overlay
    
    Bug: 16009
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 5ea89cb90e0e82cbb133fe01b29a1c2fc16e891a
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Sep 22 18:43:24 2019 +0200

    client: Fix hostname not showing initially
    
    Bug: 15984
    
    When running remotely, the hostname would not show in the title initially.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit cef64742dec393a209a729e226ab025088c9c4a3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Sep 22 17:59:36 2019 +0200

    compositor: Use actual surface position and size
    
    Bug: 15966
    
    When using wireframe move/resize along with transparent window
    decorations, the window would appear to move along with the frame.
    
    This is because the move/resize operation updates the internal data
    that the compositor uses for drawing the client decorations with a
    different opacity.
    
    To avoid the issue, just use the actual window positio nand size.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 3bcd3b765cc249c672681170fbab81b7522a9205
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Sun Sep 22 06:33:27 2019 +0200

    I18n: Update translation pt_BR (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit daffbf9a321d641803bf710d409f3dcc278d675b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Sep 21 16:49:40 2019 +0200

    stacking : Fix raise delay
    
    Bug: 15974
    
    Raise delay would be ignored, because on focus change, the newly
    focused window would be raised as soon as it receives focus.
    
    Use the raise delay timeout instead of raising the window immediately
    so that the raise delay remains functional.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e5462de37a4b0a18c051e9a92ea6dce7cd7b79a8
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Sep 21 16:06:52 2019 +0200

    compositor: bind/release texture on each GLX swap
    
    The documentation for `EXT_texture_from_pixmap` states that a
    compositor should bind and release the texture each time:
    
        [...]
        glXBindTexImageEXT()
    
        <Do rendering/compositing>
    
        glXReleaseTexImageEXT()
        [...]
    
    Fix the compositor to adhere to the specification.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 91f4221fe2c0602eecaee01b3d287db41936ff4c
Author: Zmicer Turok <nashtlumach@gmail.com>
Date:   Tue Sep 10 12:31:47 2019 +0200

    I18n: Update translation be (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 99352a080c70384edc338a2d1f7e28a2e752efe1
Author: Besnik <besnik@programeshqip.org>
Date:   Thu Aug 29 12:32:09 2019 +0200

    I18n: Update translation sq (86%).
    
    147 translated messages, 23 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit be1a25ec4eac66b7a5a78d09abf599df9b108922
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Thu Aug 29 12:32:09 2019 +0200

    I18n: Update translation it (100%).
    
    170 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d6e5d6e06c02a76882b55b3f80f654f05cdd10c6
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Aug 28 10:42:11 2019 -0600

    workarea: Ignore change without a primary monitor
    
    If there is no primary monitor, i.e. because no monitor at all, there is
    no point in updating the workarea.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 699c0aeb782cb36181d2cd6fe39804363c23fb8c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Aug 28 10:35:36 2019 -0600

    common: There might be no primary monitor
    
    Bug: 15852
    
    The function `xfwm_get_primary_monitor_geometry()` assumes there is
    always a primary monitor, which is not true if no monitor is connected,
    in which case the size is not meaningful.
    
    Make `xfwm_get_primary_monitor_geometry()` return a boolean value that
    can be used by the caller to determine if the reported size is
    meaningless.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 3925109d09614f95a5ef96b35db686d889457af0
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Aug 28 10:28:16 2019 -0600

    compositor: Don't repaint a screen of zero size
    
    Bug: 15852
    
    If no monitor is connected for a given screen, it's reported size will
    be 0.
    
    In that case, trying to repaint the screen using GLX for vsync will
    crash.
    
    Add a test to make sure the size of the screen is a thing, before
    queuing up a repaint.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit dbfa01731d6761018d1b7e108d2c45c35f4b7b95
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Aug 28 09:03:12 2019 -0600

    menu: Restore “Always below” options
    
    Bug: 15884
    
    That was inadvertently removed by commit 8a16ca2e6 - “menu: Remove
    icons from window menu”.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 4b64fdf195bff2dbfa56aae6ac9f5d827ea9a03c
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Fri Aug 23 18:33:39 2019 +0200

    I18n: Update translation gl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a9a98fb61db8eea95d6513695e2c871bc0000b62
Author: Steve Harris <steve@cultureofweb.com>
Date:   Wed Aug 21 00:36:15 2019 +0200

    I18n: Update translation en_CA (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 376616c83fb3118f450826769cc84c05d1fdaa78
Author: Elishai Eliyahu <e1907@mm.st>
Date:   Sun Aug 18 00:33:42 2019 +0200

    I18n: Update translation he (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8b654246462305e5a25d99bb371f15e0e99256f8
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Sun Aug 18 00:33:42 2019 +0200

    I18n: Update translation gl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d0877259ba4c8f704c3b03431c1616ac7e2f9ce6
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Thu Aug 15 06:32:48 2019 +0200

    I18n: Update translation pt_BR (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 67b0efdc0b4be4b415e6e6819296f8f4acea7e51
Author: Sean Davis <smd.seandavis@gmail.com>
Date:   Sun Aug 11 16:58:07 2019 -0400

    Back to development

commit 2e9be8db51e03e3e8818b84661498c14c4778071
Author: Sean Davis <smd.seandavis@gmail.com>
Date:   Sun Aug 11 16:55:41 2019 -0400

    Updates for release

commit ed87ef663463712f379210aebbad06a4d694f86f
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Sun Aug 11 06:32:30 2019 +0200

    I18n: Update translation nb (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a60c913c11d964c7d2a589e3e1e80fb7dbc7af8c
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Thu Aug 8 18:36:22 2019 +0200

    I18n: Update translation it (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8cf67acc21658af1c98dcf781ffc676c2220032c
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Mon Aug 5 12:32:39 2019 +0200

    I18n: Update translation gl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f4cac4374475ab04137b132adf0641770106c04a
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Thu Aug 1 00:13:09 2019 +0200

    settings-dialog: Replace GtkStock buttons
    
    Bug: 15768
    
    Currently we don't get translations for the Help and Close buttons in
    many dialogs.
    
    Replace the `GtkStock` items with our own label/image.

commit ff637fbf7fa74b467c48f59c64279c173163e0e3
Author: Kevin Brubeck Unhammer <unhammer+dill@mm.st>
Date:   Wed Jul 31 12:33:37 2019 +0200

    I18n: Update translation nn (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a35afe06396510e6d1a0548d9e9e89e3eaaec097
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jul 27 16:49:00 2019 +0200

    Post release tag bump
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit b1872fda18ce69a27d140fe7b4456318337f4a96
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Jul 27 16:42:45 2019 +0200

    Release 4.13.4!
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit c7e73e3d671cec7f659da1acc16f442e5979dbf5
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Thu Jul 25 12:32:47 2019 +0200

    I18n: Update translation nb (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5640e9d32cc4f55371e7dff6bc28e661ddec9e8b
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Tue Jul 23 18:34:25 2019 +0200

    I18n: Update translation nb (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c4dfbda66984a47c47807ae7434dc149c3cfb1bd
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:   Mon Jul 22 18:32:57 2019 +0200

    I18n: Update translation ja (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d01fda0d382607e467edd4cab5b8edd78acd3f9e
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Sat Jul 20 06:32:00 2019 +0200

    I18n: Update translation pt_BR (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ea929e2e5621bb67fca9e1ba6d8916aa5392140a
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Wed Jul 17 18:32:12 2019 +0200

    I18n: Update translation sr (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cc0942a5c3f74f5d3affd43d911fa518c6ddf5ec
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Jul 17 12:36:39 2019 +0200

    I18n: Update translation fi (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cc60a65e85356e22499448490a9d0fa66891de58
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Jul 17 00:37:05 2019 +0200

    I18n: Update translation fi (99%).
    
    167 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8041a3cf06749926e308708f76dfa7892c9bd69c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Aug 25 16:51:52 2015 +0200

    compositor: Enable root pixmap by default
    
    Bug: 15709
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    (cherry picked from commit 6caed779e627c368e2d3e578d1fad60cd7ef1d18)

commit cd3134f7e08aadee4013eea80f4006884dbafaa4
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Jul 14 18:34:06 2019 +0200

    I18n: Update translation kk (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5b0d805cc36df00d00d8ab59b5beef009b2a42b4
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Wed Jul 10 12:33:05 2019 +0200

    I18n: Update translation th (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b56bb5e49e6273308c06156706c8f8710f80f183
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Wed Jul 10 00:33:51 2019 +0200

    I18n: Update translation uk (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d9af18135348afa59f1a54362367a48eef81876f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Jul 9 21:39:38 2019 +0200

    stacking: Limit to direct transients when raising
    
    Bug: 15580
    
    Following commit fa9517eae (“Raise all transients together”), xfwm4
    would search for the deepest parent of a given transient and raise it to
    bring all related windows together.
    
    however, taking into account parents from the same group, it would raise
    the lowest window while the others from the same group aren't raised
    along with it, causing apparently random windows to be raised.
    
    Make sure we pick only direct transients when walking down the windows
    stack.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 619929ba532c6a1d392c9584e9858f46549a3787
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Jul 8 21:15:16 2019 +0200

    placement: Place on current monitor by default
    
    Bug: 14959
    
    Place dialogs without parent on the current monitor, i.e. the monitor
    where the pointer currently resides.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 95bc0b26a0caf7abe7d40f4aeac9cb21d4d1e47b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Jul 5 22:02:04 2019 +0200

    Revert "compositor: Pass the buffer number around"
    
    This breaks zooming without GLX, reverting.
    
    This reverts commit 18721a1abe08cb76aeb37ee7deda664602625c93.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 7a92d0329483a6adaac6615ec39172345398951c
Author: Juha Aatrokoski <jha@iki.fi>
Date:   Thu Jul 4 10:49:04 2019 +0300

    compositor: Fix GL texture filter
    
    Bug: 15676
    
    Between versions 4.13.1 and 4.13.2 the GL_NEAREST filter (used on the
    deepest levels of desktop zoom) stopped working, and GL_LINEAR was
    used instead. Fix by setting GL_TEXTURE_MIN_FILTER in addition to
    GL_TEXTURE_MAG_FILTER, like was done in version 4.13.1; apparently the
    former needs to be correctly configured for the latter to take effect.
    
    Signed-off-by: Juha Aatrokoski <jha@iki.fi>

commit 9b37f453ee6bf6dc1698fa330cef79876f698fc1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Jul 3 21:25:01 2019 +0200

    compositor: Timeout repaint in no longer optional
    
    Also increase the timeout value to be just above the default priority.
    
    Suggested-by: <howaboutsynergy@protonmail.com>
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d08a6e56575667ed4e52edb61e08a2c0d36dfe5e
Author: Real School <translator_students@realschool.am>
Date:   Wed Jul 3 12:32:44 2019 +0200

    I18n: Update translation hy_AM (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5235f6ced27acf35c06d3575e8e202b57bf29662
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Jun 30 22:17:53 2019 +0200

    Post release tag bump
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d3ed95bc6cff85355b9ed6dda2b60632708a383e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Jun 30 16:54:21 2019 +0200

    Release 4.13.3!
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 22fad38989f60da74389baf81c6f3d1699a49691
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Jun 30 15:54:20 2019 +0200

    build: Switch to xdt-csource
    
    Use “xdt-csource” instead of “exo-csource”.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit ce845280ae3bb12be1130abd162152ed25f5795f
Author: Andre Miranda <andre42m@gmail.com>
Date:   Sun Jun 30 06:35:35 2019 +0200

    I18n: Update translation pt_BR (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c2f28b50a6d78d28f12a400527baf6e0ce646c61
Author: Hsiu-Ming Chang <cges30901@gmail.com>
Date:   Fri Jun 28 18:31:46 2019 +0200

    I18n: Update translation zh_TW (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 59891c7f5dc2aada299c268d7f331881d35dfc43
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Fri Jun 28 00:32:41 2019 +0200

    I18n: Update translation pt_BR (98%).
    
    166 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3b1460d16421e82db5debbfc7cd2ce550bfd21a7
Author: Zmicer Turok <nashtlumach@gmail.com>
Date:   Thu Jun 27 18:33:30 2019 +0200

    I18n: Update translation be (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 95f625695d9da1d3ad959c7ac9363e841cab01cf
Author: Ardjuna <Asyura.x@gmail.com>
Date:   Thu Jun 27 06:32:06 2019 +0200

    I18n: Update translation id (98%).
    
    165 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0b688889211a5798076c08931d8b5056e76b3431
Author: Ardjuna <Asyura.x@gmail.com>
Date:   Thu Jun 27 00:32:51 2019 +0200

    I18n: Update translation id (98%).
    
    165 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6db8bf0f4ed8dceac0bd45e1393b7c4ff6131c98
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 26 12:33:54 2019 +0200

    I18n: Update translation ie (84%).
    
    142 translated messages, 26 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4122986b8713040abb7487da49f4ffb51617b272
Author: Vinzenz Vietzke <vinz@vinzv.de>
Date:   Wed Jun 26 12:33:53 2019 +0200

    I18n: Update translation de (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3f00a724cda73b032d145052ea66187fd42ebb80
Author: abuyop <abuyop@gmail.com>
Date:   Wed Jun 26 06:32:17 2019 +0200

    I18n: Update translation ms (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8a16ca2e6b49679b4d217032d9bcf56692f51218
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Jun 24 19:13:20 2019 +0200

    menu: Remove icons from window menu
    
    Using icons in menu is deprecated, remove them.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit cc79676597f6eb24be2e54bd5191bd45dc75c0bd
Author: Andre Miranda <andreldm@xfce.org>
Date:   Sun Jun 16 20:17:54 2019 -0300

    settings-dialog: Sort settings
    
    Bug: 15586
    
    Move "Notify of urgency by making window's decoration blink"
    closer to "Keep urgent windows blinking repeatedly" since the
    latter depends on the former to be activated.
    
    Signed-off-by: Andre Miranda <andreldm@xfce.org>

commit 34ff3e1fe027b4005c284fcaf5235e6686cf35fc
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Jun 24 18:49:45 2019 +0200

    client: ignore configure requests when maximized
    
    Bug: 13954
    
    Some clients tend to send us a configure request when transitioning to
    maximized, which introduces a race condition because the window manager
    will remove the maximized flag when the client resizes itself, now that
    we allow for that since commit aee8b25a.
    
    Ignore the configure size request from the client when maximized or
    fullscreen to work around such behavior from the client.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d8435e5e462f8e1acd2d7a5d085dab9b851ebe8f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Jun 24 18:45:42 2019 +0200

    Revert "events: ignore client configure requests when maxized"
    
    Bug: 15638
    
    Ignoring all configure requests when maximized or fullscreen is overkill
    and prevent valid use cases from working.
    
    This reverts commit 3751c2c716714f84dd3d527b60f3543e96fac54e.

commit 2e1070f3f2c1844b7c8ab64287211545deeabbe7
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Sat Jun 22 18:32:07 2019 +0200

    I18n: Update translation pt (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d1a85d8fffb8bafd70084e52fd4b00da2e9f7ae7
Author: Demiray Muhterem <mdemiray@msn.com>
Date:   Fri Jun 21 12:32:02 2019 +0200

    I18n: Update translation tr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a8232246086b363d0af2cd7115e132c5d737b2cf
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 21 00:32:43 2019 +0200

    I18n: Update translation hu (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b16f8df5594d46240e6f4ad39abf6edadfadaef9
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 21 00:32:43 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b97d33e5459bade328227e2bc1fae500cd9c5bf1
Author: Igor <f2404@yandex.ru>
Date:   Thu Jun 20 18:32:03 2019 +0200

    I18n: Update translation ru (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 924a8edb4455759428475ec5a9be9ea9109a9c32
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Thu Jun 20 12:32:21 2019 +0200

    I18n: Update translation de (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a9c88e6fc667c2a6291cacaa461ff70f96e6c651
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Thu Jun 20 06:31:49 2019 +0200

    I18n: Update translation zh_CN (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0e156c6179582216d2fa2a81c7838963d2d1f3bc
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Thu Jun 20 00:34:16 2019 +0200

    I18n: Update translation it (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 52c4e64826c8cc45644f023154e4e73cbaea3adf
Author: Serdar Sağlam <teknomobil@msn.com>
Date:   Wed Jun 19 18:31:49 2019 +0200

    I18n: Update translation tr (99%).
    
    168 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1067a4cda57727ce1cc4057ed5226d299924d582
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 18:31:49 2019 +0200

    I18n: Update translation pl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5dc3b0f290292ba45c78ab59b287d78ca08de830
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 18:31:49 2019 +0200

    I18n: Update translation lt (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b6cfec119df912df1f424db5a00e7758305ce3cf
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 18:31:49 2019 +0200

    I18n: Update translation es (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2fb04f98f5c5ec74daa9efc03aef8612f72db01c
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Wed Jun 19 12:31:49 2019 +0200

    I18n: Update translation nl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b63295ba8fce436296f9083d78e2d1fb316123b5
Author: Edin Veskovic <edin.lockedin@gmail.com>
Date:   Wed Jun 19 12:31:49 2019 +0200

    I18n: Update translation hr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2063eb8b77e86eb00e9e598d717f1b519f75e32d
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Wed Jun 19 12:31:49 2019 +0200

    I18n: Update translation fr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9e09f756d279f38936717cbe180d4e0849d7666b
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Wed Jun 19 12:31:49 2019 +0200

    I18n: Update translation cs (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bcc83c970664f4f39bd6b7a436d63f2c4bc47863
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Wed Jun 19 12:31:49 2019 +0200

    I18n: Update translation ca (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 714d11b4fd16f67637988a0bedd19c52b5706a27
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Wed Jun 19 12:31:49 2019 +0200

    I18n: Update translation bg (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 46fe7353d1b25fb31ede0de5b1e4d1ff7a5145d3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Jun 18 22:56:27 2019 +0200

    menu: Remove deprecated icons
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit a8f0474634bbfabfcdede12477c057b075916393
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Jun 18 22:43:38 2019 +0200

    i18n: Update potfiles
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 7551ae37aba923bc2172b75f493abb67bb231752
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Jun 17 22:38:01 2019 +0200

    menu: String change
    
    Bug: 15584
    
    Rephrase “Minimize _All Other Windows”
          to “Minimize _Other Windows”
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 307f511473d0d0d8a492eef2f2f69276075e7619
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Jun 17 22:31:58 2019 +0200

    settings-dialog: String change
    
    Bug: 15587
    
    Rephrase “Draw frame around selected windows while cycling”
          to “Draw frame around selected window while cycling”
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 464e152297c75354c58f1661fc9aa6cf9d417706
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Jun 17 21:06:23 2019 +0200

    settings-dialog: Clear shortcut in treeview
    
    Bug: 12802
    
    Clearing a shortcut in the UI would rightfully remove the shortcut
    definition, but would not clear the corresponding entry in the treeview.
    
    Clear the shortcut entry in the treeview so that users are not left
    thinking the clear action didn't do anything.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 84a3b1455a96f73da83c1c0a3184f5d896086a0b
Author: Iharob Al Asimi <iharob@gmail.com>
Date:   Thu May 30 16:58:24 2019 -0400

    icons: Fallback to resource class name for icons
    
    Bug: 15510
    
    Use the WM_CLASS property and extract the instance name from it, then
    use GtkIconTheme to determine the icon that should be used in place of
    the missing icon.

commit 7218546be95e2badc1a34007c6fa84d3979d1bf5
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Jun 13 21:17:03 2019 +0200

    icons: Refactor getAppIcon()
    
    There is no reason for `getAppIcon()` API to differ from its counterpart
    `getClientIcon()`.
    
    Use the same API so for both.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 703c45fb6f3b3aaa5aaa5a4a01fcff75af8427f1
Author: Real School <translator_students@realschool.am>
Date:   Wed Jun 12 18:34:41 2019 +0200

    I18n: Update translation hy_AM (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3914f3baacba023b9313ee28c19659c33ad6db1e
Author: Real School <translator_students@realschool.am>
Date:   Wed Jun 12 12:32:03 2019 +0200

    I18n: Add new translation hy_AM (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b56c370670d1d72a2c30cedd60438c2a817f38bf
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 10 06:33:01 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9a4a5f7b39233ec6d0c33a188fe927d53e76876b
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 9 18:32:09 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3414837d1b046f34d8c7256b08dadf0a6bfde467
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 9 00:32:45 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3700bd1d3dd39e40444aac112026204492c642c8
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jun 8 18:32:21 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 57b3c6aff9f5512f3f69b7bce206a912938d10ee
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jun 8 06:32:00 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f055efd504e9dd743dc46bb50e8a5c2f3bdf6040
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 7 00:31:51 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d68d3cbb676ab7eb548424cf37fd5eccbc274ddd
Merge: a58d44fa1 0a82935b7
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Jun 6 21:15:07 2019 +0200

    Merge remote-tracking branch 'remotes/ninetls/gtk3'

commit a58d44fa1521e56242f5c0127c009dc53326c598
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Jun 6 21:08:08 2019 +0200

    hdpi: Adjust default theme with scale
    
    Now that we ship the default theme in different sizes, adjust the
    default theme based on scale.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 69dff65bfea4ad96b9c7d818a79ba7db175979c7
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jun 6 00:33:51 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 84bf341edd0d11b2605e8bde7083a58172ca560b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Jun 5 21:59:22 2019 +0200

    compositor: Clear GL buffers on startup
    
    So that we don't show random data until the whole screen is refreshed.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 8117ca782e6ab26f295121058b642d52393a3213
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Jun 5 21:56:59 2019 +0200

    compositor: Set default background color to black
    
    The grey color was useful mainly for debugging the compositor and drop
    shadows, but it looks just plain ugly at startup.
    
    Change it to black, so it is not as noticeable on startup, before
    xfdesktop takes over the background.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 61baa5fda137733000d106cddad1f52f9e99fba0
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Jun 5 21:11:11 2019 +0200

    Revert "compositor: Use epoxy to check for glx support"
    
    Bug 15554
    
    The API was added in epoxy 1.4.0, most distribution don't have it yet.
    
    This reverts commit 1311eecd33e173ac64ebd48e7a9cf37452d7dc1c.

commit 870c9e8608486d5329523946f4103af41f455545
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 5 18:35:27 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 01e3485ef6735e45bf8526e5deaf2895569385a6
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Sat Jun 1 00:34:48 2019 +0200

    I18n: Update translation sr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0a82935b7bb3bfc9525bf6b38a20abba857f4dde
Author: Viktor Odintsev <ninetls@xfce.org>
Date:   Thu May 30 20:59:26 2019 +0300

    Use device geometry for primary monitor
    
    `xfwm_get_primary_monitor_geometry` returns logical dimensions instead
    of device dimensions, which leads to incorrect `_NET_WORKAREA`
    calculation.

commit c0c143a027190905e38f497b3cd0fdb7cf4569d1
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 30 00:33:13 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 807acace7d4d5c2d1df95a3e60a7bbfba6e0d87b
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 29 18:35:05 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4efaeafdc3f7f95ae003bd47be4e66a983b7bc7a
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 28 22:14:25 2019 +0200

    compositor: Rename unbind_glx_texture
    
    As destroy_glx_drawable().
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 7eb506e3906f15d9c3420c6218bf4f240b61f35b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 28 21:44:01 2019 +0200

    compositor: Use buffer number
    
    Instead of passing the pixmap id around.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 4897eed3087f09ac28a519eb8f9966e8bf532621
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 28 21:06:00 2019 +0200

    compositor: Use default priority for repaint
    
    Just check if TIMEOUT_REPAINT is defined, and use the default priority
    as value for timeout.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 098c8cc7d5f2703c0753e0a78389cec5bd113adc
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Sun May 26 18:35:04 2019 +0200

    I18n: Update translation pt (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 68d5144c9bd223a91e1dd0c150172ed311f74f59
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 25 18:33:48 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 57a60e65d692fa30ef3f99b13603ccc9a292ec93
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 25 00:33:16 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 89f3ab5db72226aac6cec1c6adf4f03ce16b010e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 23 21:41:36 2019 +0200

    compositor: Remove glXWaitGL() call
    
    Bug: 15453
    
    This was added to avoid flickering with NVIDIA proprietary/closed source
    driver (commit f75652e - "Add back the glXWaitGL to compositor sync
    code"), but that translates as a busy wait, hence increasing CPU usage
    of xfwm4 with the NVIDIA proprietary/closed source driver.
    
    By setting “__GL_MaxFramesAllowed” to 1, that busy wait should not be
    needed anymore.
    
    As a bonus, it also improve responsiveness with with the open source
    drivers.
    
    Taken from similar patch posted by NVIDIA developer for kwin:
    https://phabricator.kde.org/D19867
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d5222bcfee97f2924545eed1a524c3f1e8589511
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 23 21:35:28 2019 +0200

    compositor: Force "GL_MaxFramesAllowed" to 1
    
    Bug: 15453
    
    NVIDIA proprietary/closed source driver queues up to 2 frames by default
    before blocking in glXSwapBuffers(), whereas our compositor expects
    `glXSwapBuffers()` to block until the next vblank.
    
    To avoid that, our compositor is issuing a `glXWaitGL()` immediately
    after the call to `glXSwapBuffers()` but that translates as a busy wait,
    hence dramatically increasing CPU usage of xfwm4 with the NVIDIA
    proprietary/closed source driver.
    
    Instruct the NVIDIA proprietary/closed source driver to allow only 1
    frame using the environment variable “__GL_MaxFramesAllowed” so that it
    matches our expectations.
    
    Taken from similar patch posted by NVIDIA developer for kwin:
    https://phabricator.kde.org/D19867
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 18721a1abe08cb76aeb37ee7deda664602625c93
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 23 21:33:37 2019 +0200

    compositor: Pass the buffer number around
    
    Instead of the buffer id.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit a1c8937902e5480c775b6770d2870f6ab5d0514f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 23 21:25:28 2019 +0200

    compositor: Remove some pre-conditions assertions
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 616a64810bd9ec5eaec4435f6f81b17e7b805182
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 23 21:23:02 2019 +0200

    compositor: Use glXWaitX() without fence support
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 1311eecd33e173ac64ebd48e7a9cf37452d7dc1c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 23 21:21:56 2019 +0200

    compositor: Use epoxy to check for glx support
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 6147b1280f4ab6d6a1f51eb52dd63f5fe8e80ffe
Author: Serdar Sağlam <teknomobil@msn.com>
Date:   Thu May 23 12:33:44 2019 +0200

    I18n: Update translation tr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9d2a56fe9da4f17c5b1fd37b71b7a04c1313ce49
Author: Serdar Sağlam <teknomobil@msn.com>
Date:   Thu May 23 06:33:10 2019 +0200

    I18n: Update translation tr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0b82f9f07b50fca50a59b4ea2b4957e7116fa125
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 22 22:14:48 2019 +0200

    theme: Use frame_border_top setting
    
    Now that we have support for that new setting, make use of it for the
    default theme(s).
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit f4940cd2041d385aad840efd759eb5ed485a34c1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 22 22:14:08 2019 +0200

    default: Add frame_border_top setting
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 39ef96191273706e8df552117bd2491a329cb68c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 22 22:03:26 2019 +0200

    frame: Set the size of the top resize handle
    
    Change the newly added “frame_border_top” setting to set the size of
    the top resize handle as well.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 9a6232f6646d30238d4360790979ee38616851ac
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 22 22:02:18 2019 +0200

    frame: Remove unneeded declaration
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 09e2a19d729a14972a5d6c40f3de141e801c868f
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Wed May 22 12:31:45 2019 +0200

    I18n: Update translation gl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 373efbc6eed30bd995021d0067a0b7ba5d528cfe
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 21 22:04:58 2019 +0200

    compositor: Add missing prototype declaration
    
    Bug: 15432
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit bc07c4a1d21ea372b7d28d74987e376b0816a3d0
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 21 21:59:22 2019 +0200

    compositor: Fix build without compositor
    
    Bug: 15432
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit bf41e461abe520d20cf2022e697cd38bc28867e8
Author: Adam K <chkboom@safe-mail.net>
Date:   Tue May 21 12:17:21 2019 +0000

    frame: Allow the top of the frame to be cropped when maximised
    
    Bug: 14470
    
    Themes can take advantage of this with the frame_border_top property.
    Existing themes without that property will not be affected or broken.
    
    Signed-off-by: Adam K <chkboom@safe-mail.net>

commit c9543686a2e82363f299b12f9c22a0280d95141d
Author: Adam K <chkboom@safe-mail.net>
Date:   Tue May 21 12:51:35 2019 +0000

    settings: Fix double-click distance setting
    
    Signed-off-by: Adam K <chkboom@safe-mail.net>

commit cbd927470e71227a9299a2aea2dee21dd4faf74a
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 19 20:53:33 2019 +0200

    compositor: Reset fence after last operation
    
    Reset the fence after the last buffer access to make sure it's fully and
    reliably completed before the next GL buffer swap.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 5acec25d75a0a1ad8ea82a66188b437dc2f5b05a
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 20 18:35:03 2019 +0200

    I18n: Add new translation ie (85%).
    
    144 translated messages, 25 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4499d5a621a243d31fb91e4f4e2d12d1f5f8b015
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 20 18:35:02 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 79453f7c2174351b85fff8972024da65c87db0a2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 18 21:49:49 2019 +0200

    compositor: Fix initial pointer location when zooming
    
    Fix a typo when initializing the pointer location when starting to zoom
    in.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 72ff4503e781b1e4d4f7f69ef74c5a28998e7399
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 18 20:59:17 2019 +0200

    compositor: Small optimization with zoom on GLX
    
    Not need to change clipping after painting the cursor with GLX, we don't
    use it anymore after that point.
    
    But we need to reset the fence just before painting the cursor otherwise
    the fence will be triggered too soon, causing flicker.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit fe6dcae045401593fee7895073f5523b7a784f23
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 18 16:18:47 2019 +0200

    Post release tag bump
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit f20655b8f9c8c77635eace945a92edcbd6db559f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 18 16:02:02 2019 +0200

    Release 4.13.2!
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 58332cd069ef6250c47129b2bfed1ecaa92139b9
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 16 23:41:53 2019 +0200

    Revert "compositor: Finer fence control"
    
    The new fence scheduling we're using now is causing flickering,
    revert to the previous way of dealing with the fence.
    
    This reverts commit 340f9e8275aac21944a7882a76c84593aa156aa1.
    
    Reported-by: Philip Müller <philm@manjaro.org>
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 616fd5b9b2cc05b25f8bf54ad5270f15083d23f0
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 17 18:37:55 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit add14bfa3dfd09896e8c9cf540bc073aa4391c49
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Fri May 17 00:36:34 2019 +0200

    I18n: Update translation gl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9a0dbce14eb2bf1d882498343911812850524394
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 17 00:36:34 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 36cf8df0db8c41fb1f413011379381fc139ad0f7
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 16 22:34:42 2019 +0200

    compositor: Remove unused variables
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 47e9d5e3d365c13ac7c3d8d29bb630b08c35dfa3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 16 22:28:28 2019 +0200

    compositor: Rework XPresent error handler
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 6baf3b7c0c649cd7cc5aaf6c64c72a1a80777378
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 16 22:23:22 2019 +0200

    compositor: Set present pending only on success
    
    If present flip failed, we should not wait for the flip notification
    that will never arrive.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 15b39030ac223c220111907b6f4d182f327d95d6
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 16 22:06:16 2019 +0200

    compositor: Disable XPresent on any error
    
    It's not worth keeping XPresent active if it generates XErrors.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 803ddc68bc4c1483192c6d56b8e0e3e5d250d2f2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 16 22:03:10 2019 +0200

    compositor: Fix xpresent
    
    `present_flip()` now takes the buffer number instead of the rendering
    buffer.
    
    Fix the caller to pass the appropriate expected value.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e87422e55b5e861ae918fa053680abe9065e08e1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 16 21:57:41 2019 +0200

    client: Check for enter/leave window on button events
    
    Bug: 14741
    
    Clicking a window title button would keep the button pressed even after
    the pointer leaves the button.
    
    This is just a simple case of receiving multiple enter/leave events
    without actually checking for the window, so any additional enter events
    received after the leave event would let the button in a pressed state.
    
    Fix the issue by checking for the actual event window against the button
    window.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 18da08d7ae6baed4fd2d03f22f6c86d7469d2d5d
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 16 18:36:19 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fd8af4fc182e48c2173a8be84f28a9b7c82f17e7
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 15 22:46:33 2019 +0200

    hints: Remove unused variables
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 1c2e8f54cd68db0ff870cb60beda26ed93431290
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 15 22:38:42 2019 +0200

    netwm: Do not skip standalone dialogs
    
    Bug: 15400
    
    Dialog windows which have no parent should not be skipped from taskbar.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 22fe30cdd99d111f043b3282a02f39df468c7ac2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 15 22:15:14 2019 +0200

    netwm: Fix window type for broken clients
    
    Bug: 15399
    
    If a client specifies an invalid NET_WM_WINDOW_TYPE, fallback to normal
    window type.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 86c88ac79034240c1e43d4f5538857caab1abcab
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 15 22:24:32 2019 +0200

    client: Fix enter/leave on buttons
    
    Bug: 14741
    
    For button enter/leave events, checking the crossing mode prevents the
    events from being handled.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 0f34265d83207ffe3486986d269af868cef29e30
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 15 22:19:05 2019 +0200

    Revert "events: Fix implicit grabs"
    
    Bug: 15384
    
    Commit f5da3d6 cause a serious regression by preventing the filter to
    be run on any window but the one being grabbed.
    
    This reverts commit f5da3d6622c22246ac367bd80fc24ea08c9baa2e.

commit 8803c299a64fa2d9e664e4290459cdb099ca72e0
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 14 23:46:41 2019 +0200

    compositor: Configurable number of buffers
    
    The number of buffers we need to allocate/manage depends on the feature
    enabled at build time.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 340f9e8275aac21944a7882a76c84593aa156aa1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 14 23:14:07 2019 +0200

    compositor: Finer fence control
    
    Basically, we want the fence to prevent GL from accessing the pixmap
    buffer until its update is complete.
    
    However, depending on the code path, we may update the buffer more than
    once, so to prevent any flickering, we need a finer grain control over
    the fence operations.
    
    Split the fence support into different actions as we need them, i.e.
    create, destroy, reset, trigger and wait.
    
    Make sure we reset the fence before each time we are to update the
    pixmap buffer and wait for the fence just before doing the GL swap.
    
    Also create a different fence for each buffer, so if ever decide to use
    multiple buffers with GL, the existing code will be able to support that
    and not use the same fence for multiple pixmaps.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit c8f624c742ab2bbebaae01c85d87e5fbdf0bc9b1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 14 21:07:07 2019 +0200

    compositor: Remove unused variable
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit abcefc24cd41052936764f2a3d4f742e1080ecd6
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 14 21:03:06 2019 +0200

    compositor: Rename `scale_glx_texture()`
    
    Rename `scale_glx_texture()` as `set_glx_scale()`.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit cc1650ca5411974fe98268d526b57432478abdf7
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 14 20:55:14 2019 +0200

    display: Make sure we have fence support
    
    Fences support was added in XSync 3.1, make sure the XServer has support
    for this.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 06fdbc2009cf143bfb3b5661e1206a585baab560
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 14 20:53:33 2019 +0200

    configure: Make sure to look for fences support
    
    Fences support was added later in XSync, make sure we have a version
    with fences support or the build would fail.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 89e985099fb6ef953ad19ed69f03c7d7d680bb68
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 15 06:35:56 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3ff53a9f23131e31208da6d080fa8a070386c271
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon May 13 20:12:28 2019 +0200

    compositor: Do not redraw to back buffer
    
    This is not needed and breaks the fence mechanism, hence causing
    flickering.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 78833034a515135adcf1f7de3672a9902221823a
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Mon May 13 18:36:01 2019 +0200

    I18n: Update translation sr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0a8f00c74dffc93900e7aae545c56a4eaa023f4b
Author: Alistair Buxton <a.j.buxton@gmail.com>
Date:   Sun May 12 15:55:22 2019 +0100

    compositor: Refresh the zoom at refresh rate
    
    Bug: 15391
    
    The compositor zoom refresh rate is currently hardcoded at half the
    refresh rate, or 30 FPS.
    
    Increase the zoom refresh to the same as the refresh rate, or 60 FPS.

commit 9bba554180e230a928422e682aa840ad0c8db793
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 12 19:12:27 2019 +0200

    compositor: Base zoom update or refresh rate
    
    Bug: 15391
    
    Previously, the zoom update was based on XRandr refresh rate ÷ 2, or
    30 by default if not available.
    
    But that XRandr code was removed along with the removal of the fake
    vblank sync code in favor of XPresent or GLX.
    
    Base the zoom update on half the refresh rate of the primary monitor (if
    available from GDK), so we would get the same results as with 4.12.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 0f29217475698540f4ea2dbfdae4e603f158afa5
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 12 18:56:56 2019 +0200

    common: Add API to get the refresh rate.
    
    Bug 15391
    
    Return the primary monitor refresh rate in Hertz if available from GDK,
    or 60 as the default value.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 14cd399a6e518a52e0d9944711f97e8e1741e2a4
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 12 17:52:39 2019 +0200

    compositor: Apply texture filter for zooming
    
    Bug: 15392
    
    The texture filter changes based on the zoom value to give best results
    when zooming at higher levels.
    
    As we do not unbind/rebind at each repaint anymore, the texture filter
    would not be updated, hence the chosen filter is ignored.
    
    Make sure we apply the texture filter when zooming.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit f06d814d5b26e9206675522e91bef785662dd6ae
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 12 17:33:42 2019 +0200

    screen: We always query the root window
    
    We always query the root window for pointer location, there is no point
    in passing it around through the API really.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 944769cfeaa459de3e31145e798822e2c63d2b4c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 12 15:47:56 2019 +0200

    hints: Some more XError traps
    
    And a bit of cleanup.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 11493fd453481b4c832986b1123160435b53a27a
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 12 12:03:18 2019 +0200

    Revert "compositor: Draw to back buffer"
    
    This change is incompatible with NVidia closed source driver and
    causes a blank screen.
    
    Thanks-to: Philip Müller <philm@manjaro.org>
    
    This reverts commit 97c051b865623cf7133d74d0281ed6ad1cf4c3d6.

commit 4bd247bfd2c12cf994ad910f8f04f4790472088b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 11 18:21:18 2019 +0200

    hints: Fix WM protocols detection
    
    Oddly, `XGetWMProtocols()` return a non-zero value on success, checking
    against `Success` would lead to the wrong conclusion.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Fixes: 0bf68c537 - "Protect against XErrors"

commit 0bf68c537d72f7d35be6581bb7c91cd5c071777f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 11 17:55:16 2019 +0200

    Protect against XErrors
    
    Places where the window manager uses the client window are all possible
    sources of XError because the window may have vanished and the window
    manager won't know until it gets the destroy notification from the
    Xserver.
    
    As GDK error handler is smart and uses the serial of the requests to
    check for errors, if the XError is not trapped in time it will end up in
    GDK and cause an abort.
    
    Protect against such a possibility by making sure cases where the XID
    of the client or one of its dependent resources is used remains withing
    an error trap/push.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 97983e712f8c6aaa1e38976bd991d58a46100e73
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Fri May 10 18:43:37 2019 +0200

    I18n: Update translation is (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3dfe01300879e9f53fe2c475be1dd966ac111390
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 21:13:03 2019 +0200

    compositor: Do not release texture each time
    
    It's done on unbind.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 3eecc5e44762acbae82f4490e88964454bad8339
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 20:53:05 2019 +0200

    compositor: Avoid configs with caveats
    
    If we don't find a FBconfig without caveats, don't use GLX.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 688268eed0f54e1acfa61b1983d328c06a9d843c
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Wed May 8 19:57:55 2019 +0200

    I18n: Update translation zh_TW (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f3fd2e5903a01bd312d3f972313191194dc98dac
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:55 2019 +0200

    I18n: Update translation zh_HK (92%).
    
    157 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 799f3a11d4a851314a5bbadcbd318394bb01816d
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Wed May 8 19:57:54 2019 +0200

    I18n: Update translation zh_CN (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e695b4016736b8f081fa52ef8c36021fcf8131b8
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:54 2019 +0200

    I18n: Update translation ur (72%).
    
    122 translated messages, 47 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fd4c817c23ff68ab5db2992f4217d5db3588ae40
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:54 2019 +0200

    I18n: Update translation ur_PK (72%).
    
    122 translated messages, 47 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a809621037e68647d89da7aa4c472de687556220
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Wed May 8 19:57:54 2019 +0200

    I18n: Update translation uk (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bdab7517a19c4d64d06216d42090b86a761018fa
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:54 2019 +0200

    I18n: Update translation ug (86%).
    
    147 translated messages, 22 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 85c71971b65149ca6c752dc44950fa42337af933
Author: Necdet Yücel <necdetyucel@gmail.com>
Date:   Wed May 8 19:57:54 2019 +0200

    I18n: Update translation tr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4308be2a3de0fe326014d659bde6d682b2b89cda
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation th (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3689248816b16a75f013b50cdcbe99da0d114cf4
Author: Påvel Nicklasson <pavel2@frimix.se>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation sv (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3bed58fd8516d343da24d6886e3210e094538d5e
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation sr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 13241855f29252cb62d5750c70675db86580c979
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation sq (71%).
    
    120 translated messages, 49 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3998b223db927ed90bb0c430ba53fa99682eeab7
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation sl (98%).
    
    166 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 765e7b8ae5b37a8ad9fa67c85578715cff44e6c2
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation sk (99%).
    
    168 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1ba3620630aad197789c664186d046debba54bd8
Author: Igor <f2404@yandex.ru>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation ru (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 65793197739659741b6e28f87ffa0630ba98c66a
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation ro (94%).
    
    160 translated messages, 9 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 921b1f5d993567fe1dfd3e7ae4b745a67f26c2ac
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation pt (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 007839cac9612d512d09efdb3bb919ea1c537856
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 19:57:53 2019 +0200

    I18n: Update translation pl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit eb20260896f4b0f5b09825b77af4926d8f7e57a3
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation oc (98%).
    
    167 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit feef5eefa5ad138b030196335b6bb3a150cdf75d
Author: Kevin Brubeck Unhammer <unhammer+dill@mm.st>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation nn (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a276a4bb1ff99d4bce991bb63456c9ae632dc9a5
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation nl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 02b9298c35df98f37dcbdf8264e2a7cda9848579
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation nb (98%).
    
    167 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6ea1a3ce2fbb21c925a5a39d23eb9115e810bb3b
Author: abuyop <abuyop@gmail.com>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation ms (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0713eb23b3b16da7cf553a3880439cf7d2ce6788
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation lv (73%).
    
    124 translated messages, 45 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d2a9c5e5245fb3bbc3cd4b1e910e5e37b9b6f961
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation lt (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d1cd56645c5e23a990f366ab0e93dcf55d979c25
Author: 박정규(Jung-Kyu Park) <bagjunggyu@gmail.com>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation ko (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 240ca467976c592d09d58ee0ee68e1c4ceee6b51
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation kk (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 54ca33e1cfd0e2b587755a6d822c12605ef82a22
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation ja (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c7adb55a302ba015a3225fe15d7429f7ba2dd573
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Wed May 8 19:57:52 2019 +0200

    I18n: Update translation it (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f66534e6a2f65c9c9a7841b38eda48550df13d58
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Wed May 8 19:57:51 2019 +0200

    I18n: Update translation is (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3dd8d3fe0af6cbe215cdc0585abd121386974850
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:51 2019 +0200

    I18n: Update translation id (99%).
    
    168 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 613448d8ce4698ca9d7fcbc8b3b0746f92c951c7
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Wed May 8 19:57:51 2019 +0200

    I18n: Update translation hu (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5b18ff562b7d2b056d868065befdab7880233e36
Author: Edin Veskovic <edin.lockedin@gmail.com>
Date:   Wed May 8 19:57:51 2019 +0200

    I18n: Update translation hr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 39cc36314e4c18dcb7bf93cd408ee95c420a2cca
Author: Elishai Eliyahu <e1907@mm.st>
Date:   Wed May 8 19:57:51 2019 +0200

    I18n: Update translation he (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0781dc11964f2021e67e66d49257f207edb28826
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Wed May 8 19:57:50 2019 +0200

    I18n: Update translation fr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2832151eaae0e9076fefb04926eeb9a8792cf622
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed May 8 19:57:50 2019 +0200

    I18n: Update translation fi (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 91215c42a1e28f452871b5fc8fde3143ba64f08d
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:50 2019 +0200

    I18n: Update translation eu (92%).
    
    156 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 18dca8fe88e8f18d983f14d9dc6ad9389619dd37
Author: Pablo Lezaeta Reyes [pˈaβ̞lo lˌe̞θaˈeta rˈejɛ] <prflr88@gmail.com>
Date:   Wed May 8 19:57:49 2019 +0200

    I18n: Update translation es (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4b086cf61e711fa3e9783bd753842855cf5c184b
Author: Andi Chandler <andi@gowling.com>
Date:   Wed May 8 19:57:49 2019 +0200

    I18n: Update translation en_GB (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a26afb3f64f7c702e1fdb7e2bea11fb3c32db8f7
Author: Steve Harris <steve@cultureofweb.com>
Date:   Wed May 8 19:57:49 2019 +0200

    I18n: Update translation en_CA (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7de6b92afdad76ec6bb682d95cb10a59057a7281
Author: John Humphrys <john.humphrys@pm.me>
Date:   Wed May 8 19:57:49 2019 +0200

    I18n: Update translation en_AU (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3a05694cb222442ff936b669ebe241015060e853
Author: Πέτρος Σαμαράς <psamaras1@gmail.com>
Date:   Wed May 8 19:57:48 2019 +0200

    I18n: Update translation el (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1c42bffaf789a0436a9387aebdfd5b1c00099741
Author: Vinzenz Vietzke <vinz@vinzv.de>
Date:   Wed May 8 19:57:48 2019 +0200

    I18n: Update translation de (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aec3367c8c28939a8f06c8af3e841b5c03b66b34
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 19:57:48 2019 +0200

    I18n: Update translation da (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b37af4fe312ce681d722ea3aff7807e07873412d
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Wed May 8 19:57:48 2019 +0200

    I18n: Update translation cs (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1996eced3e14e7bca75579ef00a3641686fd297e
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Wed May 8 19:57:48 2019 +0200

    I18n: Update translation ca (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f9031498c26b42a3c1f1a9bb4e794e6fac190e6f
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:47 2019 +0200

    I18n: Update translation bn (79%).
    
    134 translated messages, 35 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b96adbbe4bd6f6a76752c334d6f43b841730b96e
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Wed May 8 19:57:47 2019 +0200

    I18n: Update translation bg (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6c4b300b51d2af0c5a1ee457dd509b0263a8dcbd
Author: Zmicer Turok <zmicerturok@gmail.com>
Date:   Wed May 8 19:57:47 2019 +0200

    I18n: Update translation be (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7b4c57132361338cf17123f45fb66b044981b43c
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:47 2019 +0200

    I18n: Update translation ast (93%).
    
    158 translated messages, 11 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b34f141679151ce0cb779d35511dc2d05ba68af2
Author: Xfce Bot <transifex@xfce.org>
Date:   Wed May 8 19:57:46 2019 +0200

    I18n: Update translation ar (98%).
    
    167 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f343d4af8d8c9db58585da42262072cc657d3960
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 11:48:25 2019 +0200

    compositor: Do not bind/unbind textures every time
    
    That should not be needed.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 8a5fc3b9070e13f9494afa6bf75197b61a373643
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 11:02:20 2019 +0200

    compositor: Do not read from front buffer
    
    Reading from the front buffer is not advisable and gives random results
    depending on the driver and/or hardware.
    
    So instead of relying on the front buffer, re-copy the entire content to
    the back buffer again just after we swapped buffers.
    
    Also, by doing so, we don't need to accumulate damages with GLX backend.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Fixes: a818cc0 "compositor: Optimize GLX code path"

commit 34595e33de981ea6dd0f1dbd97b802a35fcdf8ee
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 09:27:52 2019 +0200

    display: Fix compiler warning
    
    The serial on an XError is an unsigned long.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 5628495003f020493ccf4d9c1bbe2fddddc07de5
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 09:16:18 2019 +0200

    device: Rename XfwmEventMeta's XEvent as 'xevent'
    
    Using just “x” for the name of the generic `XEvent` is really confusing.
    
    Rename it as “xevent” for clarity.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 078a29799bfdf84886322d7da91b2c3019b6bd8c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 09:09:33 2019 +0200

    events: Avoid XErrors with button release events
    
    Some more XErrors trap.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit ca85547b9dcdc8f307b746c85eb051bf97d75098
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 09:06:07 2019 +0200

    compositor: Avoid render XError when zooming with GLX
    
    When using GLX as backend, we are not using Render for zooming and the
    associated `zoomBuffer` is not created, so trying to use that for any
    Render operation will generate XErrors.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit a818cc065378cad74b8150484c6457e0b2d99e28
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 8 08:56:08 2019 +0200

    compositor: Optimize GLX code path
    
    When not zooming, use the damage region to update the back buffer
    instead of copying the entire texture.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 97c051b865623cf7133d74d0281ed6ad1cf4c3d6
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 7 20:25:01 2019 +0200

    compositor: Draw to back buffer
    
    Draw the texture to the back buffer instead of the front buffer and
    `glXSwapBuffers()` will take care of swapping the back to front.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 828b9eaaf35959ebf2cc72660a87730913a0bcea
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue May 7 20:12:41 2019 +0200

    client: Do not warn on usual errors
    
    Those are fairly common errors, no need to actually send warnings.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 558fb5478387b0b33a8be1d0769688577adef652
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Mon May 6 18:35:20 2019 +0200

    I18n: Update translation pt_BR (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fe9e0f26f96613355f46004838002857afbe5533
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 5 15:40:05 2019 +0200

    compositor: Ignore errors when destroying windows
    
    The window and its resources may be gone already on the Xserver side, in
    which case we might generate XErrors. Ignore those to keep on the safe
    side.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 2e60b61752c00ed7e58496711877a93d59964901
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 5 14:37:09 2019 +0200

    display: Do not sync before trap pop
    
    That should not be needed as GDK already handles serial ranges for us.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit a93658d5e93479de4a1a3edd00ba2000b0ce91b3
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun May 5 14:36:25 2019 +0200

    display: Log serial and minor code
    
    Helpful for debugging purpose.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit bb57551a3d20c57382a4d8178b3df12e81f76ec9
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Sat May 4 18:35:55 2019 +0200

    I18n: Update translation gl (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 38aa9d3fc8f0e2eb747b3d955443e2a5ae22be27
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 4 13:57:18 2019 +0200

    poswin: Small cleanup
    
    Remove unused variable added by mistake.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 0a41fec372cbb6e00ca56cb47ee9751ab8e9dd94
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 4 12:34:28 2019 +0200

    moveresize: Size increment depends on scale
    
    GTK would update the size increment to match the scale, so when using a
    scale 2x the size increment of all windows is set to 2 as well.
    
    As we use the size increment to decide whether to show the position and
    resize indicator window, we would end up showing it for all windows
    when scale is 2.
    
    Take the scale into account for size increment as well.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 55da6ec536d328ab5e9a17e1aec64f675bf770c8
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 4 12:33:13 2019 +0200

    poswin: Use our own GdkWindow for scale
    
    The poswin window may become unrealized, use our own instead.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 1d82c6b1a1423a3313bbb6f151df4174fd08d2cc
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 4 10:39:23 2019 +0200

    poswin: Fix position with scale
    
    The position/size indicator would be misplaced when a scale is applied.
    
    Take the scale into account to place the indicator on screen.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 63af4ab64650aba9434684e7c9d554025a92b7c1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat May 4 09:57:25 2019 +0200

    compositor: reduce timeout to 1ms
    
    Small tweak, keep timeout active but to its minimum.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 70832c81246b2590524d3902412875e490f9b2b8
Author: pnd23@telenet.be <pnd23@telenet.be>
Date:   Fri May 3 19:57:32 2019 +0200

    netwm: Allow hiding windows using NET_WM_STATE_HIDDEN
    
    Bug 15356
    
    Handle state changes of NET_WM_STATE_HIDDEN to hide or show the client
    window.

commit cb10c42fcee02592ece1e55954352b4b470b836c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri May 3 19:46:44 2019 +0200

    Fix compiler warnings
    
    Tidy up the code.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit cdc02f928244a7f9bf40c2301b0085f7a03dc911
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri May 3 19:24:22 2019 +0200

    icons: Use cairo for pixmaps and masks
    
    Update pixmap code to use cairo.
    
    Copied from a similar fix for libwnck by Benjamin Otte <otte@redhat.com>
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit deed0d10dbe284304d44271f4240431c4dd2ec47
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 2 09:38:21 2019 +0200

    themes: Add new default theme
    
    Add new default theme for xfce 4.14 which integrates nicely with gtk
    client side decorations.
    
    Comes in standard, hdpi and xhdpi variants.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e8e920cb170645449dc2367a29175f2bbbd4e61e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu May 2 13:12:53 2019 +0200

    events: Catch more XErrors
    
    Many operations such as XI2's grab/ungrab can cause an XError for
    various reasons, and X11 being asynchronous, those may end up being
    caught in gdk's own code, causing the termination of xfwm4.
    
    Catch XErrors in the relevant portions in xfwm4 code with error trap
    push/pop before gdk get them.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit ba3ed23733edb9b96bfab89a67d3cea5afc73e1b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed May 1 12:47:35 2019 +0200

    icons: Do not apply mask on bitmaps
    
    Bitmaps (1bpp depth) already represent their mask, do not try to apply
    a mask to it.
    
    Fixes the black icons with some legacy apps (xclock, xcalc, nedit, etc.)
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 10b15b1ad69239303944a86f91e5722066506414
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 28 15:24:26 2019 +0200

    compositor: Reduce repaint timeout to 2ms
    
    Bug 14335
    
    Using 10ms means we would miss every vblank on a 144Hz monitor.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 30e1d49d03fbaf55a7c21f90f57cbbc5101339ea
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Apr 27 22:03:54 2019 +0200

    compositor: reinstate “--vblank” option
    
    Some distributions have shipped an unstable version of xfwm4 with the
    “--vblank” command line option, and there are references of that option
    out in the wild already.
    
    Restore that command line option, it's also useful for quick tests.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e07574d6e7a2dbaa08c3ba4765c6306073d9493e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Apr 26 20:47:11 2019 +0200

    compositor: Revert to GLX as default vblank method (again)
    
    Bug: 15325
    
    Although XPresent would be the most sensible choice for a lightweight
    vblank method, it's still quite fragile and currently broken with
    modesettings driver on Xorg 1.20.
    
    GLX seems to work reasonably well on a wide range of hardware and driver
    (including closed source drivers) and does not suffer from the lock ups
    XPresent may cause on some kernel/driver.
    
    Revert the default vblank method (auto) to GLX for now.
    
    See-also: https://gitlab.freedesktop.org/xorg/xserver/issues/68
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 63a797b13023394937a89b41708e40d11b8fa5b2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Apr 25 22:20:37 2019 +0200

    client: Withdraw the frame before the client window
    
    Bug: 15061
    
    Make sure to hide the parent frame prior to the client window.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit cca240fc76faf6bceb3dd5f0ecd5a76818262089
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Apr 24 21:40:07 2019 +0200

    menu: Avoid XError with gtk
    
    When closing a window from the menu, an XError with XInput may occur,
    within gtk, causing an abort of xfwm4.
    
    From the look of the calltrace, it seems quite similar to GNOME bug
    https://bugzilla.gnome.org/show_bug.cgi?id=751739.
    
    Protect the window menu within an error trap to avoid the issue.

commit c93eb316188aa63184fa7e8d2190c9e4976b84e2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Wed Apr 24 21:23:26 2019 +0200

    client: Do not ping client when killing it
    
    It does not make sense to ping a client that we just killed.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 61e3055874184a5590fe7070faf0032e5a25b2c8
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Apr 23 21:27:39 2019 +0200

    cycling: Remove client if destroyed while cycling
    
    Bug: 15318
    
    Fix a regression where the client would remain visible if closed while
    cycling.
    
    Fixes: ef33ff7 "Replace XEvent with XfwmEvent + add xfwm_device..."
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 4769a299f7bb7dd09bc78b97a0604995f68475f5
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Mon Apr 22 06:33:32 2019 +0200

    I18n: Update translation ko (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8caede8ec53344ddf41fe03fc6b46c42f534916c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 21 14:33:18 2019 +0200

    client: Fix regression with MWM hints
    
    Firefox with client-side decorations lost its hide/maximize ability.
    
    Fixes: d6481d1 "clients: Allow transients to be minimized"
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 8e52af01cce6ab7530641ff37680d6ffbff806df
Author: Jason Zaman <jason@perfinion.com>
Date:   Sun Apr 21 00:17:45 2019 +0800

    Add gitignore
    
    Signed-off-by: Jason Zaman <jason@perfinion.com>

commit 0a692d6c2ce30612ee153c7df3934e34d9d041c5
Author: Jason Zaman <jason@perfinion.com>
Date:   Sun Apr 21 00:04:31 2019 +0800

    menu: Fix alignment when scaled
    
    On scaled displays, the menu position needs to be specified in
    app-pixels. Some code paths to opening the menu are already in
    app-pixels so do not require scaling. The height of the titlebar on
    windows with frames always needs to be scaled.
    
    Signed-off-by: Jason Zaman <jason@perfinion.com>

commit 2a23df9272523fd0c1e5d8286f729640cab87b28
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Apr 19 23:33:40 2019 +0200

    cycle: No need to raise parents separately
    
    Bug 15303
    
    Now that parent windows get raised along with their transients, no need
    to raise them separately.

commit fa9517eae823e35d0c85276b2d0c31beede5022f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Apr 19 23:16:40 2019 +0200

    stacking: Raise all transients together
    
    Bug 15303
    
    Xfwm4 would raise the transients of a given window along with the parent
    window, to keep the transients above their parents, but would not raise
    the parents along with the transient windows.
    
    Rework the stacking code to raise the deepest parent of a transient
    being raised so that all parents window of a transient get raised along
    with it.

commit bd6481d170cebb56b33a38806e021a5781d82c6c
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Apr 19 22:52:28 2019 +0200

    clients: Allow transients to be minimized
    
    Bug 14953
    
    Until now, xfwm4 would prevent any sort of transients to be minimized.
    
    Allow regular transients windows to be minimized, while still preventing
    dialogs to be minimized independently from their parent window.
    
    Note: This requires a fix in xfce4-panel taskbar to show those windows
    (bug 15307), otherwise the user may not be able to restore the windows
    once hidden.

commit 063e325edcf5c87c7569a48d25322a0fadc03988
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 19 12:34:49 2019 +0200

    I18n: Update translation bg (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8b0257ae9cbdc47d85eac3ddfc45dc7ed02e08f5
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 17 00:32:07 2019 +0200

    I18n: Update translation bg (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 27aa2c7a6f978b2b4485b3241daa3580eb2edd63
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Apr 16 21:18:38 2019 +0200

    screen: Remove logical size
    
    Bug: 15085
    
    We used to keep a logical screen size based on whatever Xlib would
    provide, and an actual size based on what we compute based on the actual
    monitor layout.
    
    There might be some discrepancies between the two, so let's just get rid
    of the logical size.

commit f6adaf3b14406e86cad1a49cb84528bfa26f8e0a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 16 18:33:08 2019 +0200

    I18n: Update translation bg (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 86ee0f837fd098ee1e46c1a19f2131c23b0ed70e
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 16 12:33:11 2019 +0200

    I18n: Update translation bg (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4700670aa32d6f08a00706fb85a89bee4cf2883d
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 15 21:55:08 2019 +0200

    compositor: Fix XError with window preview
    
    Bug: 14990
    
    When a window is iconified, the compositor would keep a copy of its
    picture for the window preview in the tabwin.
    
    However, it would still release the picture, and a further XError would
    occur when trying to use it.

commit 7431908b17d3e75d7f5ac9b55fae2d24194380ca
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Apr 15 21:46:34 2019 +0200

    focus: Raise on activate only with raise-on-focus
    
    Bug: 14656
    
    Commit 3877bf4 ("stacking: Raise on focus to activate") caused a
    regression with raise-on-focus disabled as it would always raise
    regardless of the actual value of the setting.
    
    Raise window on activate only when "raise-on-focus" is enabled.

commit 60a8e49c8a63db47b8eb31618e0b6aa5be729a80
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 14 19:12:00 2019 +0200

    settings: Crash in button layout
    
    Bug: 14606
    
    `gdk_pixbuf_get_from_window()` crashes every other call in cairo, there
    are apparently a few similar reports.
    
    Just remove the call to `gdk_pixbuf_get_from_window()` as a workaround
    for now.

commit 5ece9b89905cfa65023f00b8e185fbf438c076f8
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 14 16:06:39 2019 +0200

    settings: Avoid crashing on broken values
    
    If, for some reason, the xfconf database is broken and the actual button
    layout is not available, xfwm4-settings would crash.
    
    Check the settings value to avoid the crash.

commit f5da3d6622c22246ac367bd80fc24ea08c9baa2e
Author: Viktor Odintsev <ninetls@xfce.org>
Date:   Sun Apr 14 15:32:09 2019 +0200

    events: Fix implicit grabs
    
    Bug: 14741
    
    With gtk+-3.x and XI2, pressing a window button and moving the pointer
    out of the window would keep the grab.
    
    Keep a reference of the window where the grab occurred to avoid the
    issue.

commit f68c04ba8591615e5ee615865daf50c23b35ef33
Author: Martin Husemann <martin@NetBSD.org>
Date:   Sun Apr 14 15:17:30 2019 +0200

    startup-notification: Crash/stack smash on some architectures
    
    Bug: 15028
    
    sn_startup_sequence_get_last_active_time takes two long pointer
    arguments, but xfwm4 passes pointers to may-be-different types.
    
    Signed-off-by: Martin Husemann <martin@NetBSD.org>

commit a4dccd1a22af60836c62a54f4e8d0e53dbe795d0
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Apr 14 15:01:37 2019 +0200

    theme: Larger border for default theme
    
    Make the default theme border 1 pixel larger.

commit 24aeee482a218a12a39fc4059b6aa6f7202d6d4e
Author: Ardjuna <Asyura.x@gmail.com>
Date:   Sat Mar 16 06:33:03 2019 +0100

    I18n: Update translation id (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9442ed0af6d099bcd599efc2cbdbab00a43f6b10
Author: Dmytro Semenchenko <dimasc28@gmail.com>
Date:   Fri Feb 8 18:32:03 2019 +0100

    I18n: Update translation uk (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 66e742dcd2ffee961f4e75d0f4a7fec329d70337
Author: Andre Miranda <andreldm@xfce.org>
Date:   Wed Feb 6 13:01:57 2019 -0300

    Add style class to tabwin modes

commit 5f501cad72ef349609790c32bee4dc23c32ea95f
Author: Shun <shun98@139.com>
Date:   Thu Jan 17 12:35:53 2019 +0100

    I18n: Update translation zh_CN (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3751c2c716714f84dd3d527b60f3543e96fac54e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Jan 10 08:59:48 2019 +0100

    events: ignore client configure requests when maxized
    
    Bug: 13954
    
    Some clients tend to send us a configure request when transitioning to
    maximized, which introduces a race condition because the window manager
    will remove the maximized flag when the client resizes itself, now that
    we allow for that since commit aee8b25a.
    
    Ignore the configure request from the client when maximized or
    fullscreen to work around such behavior from the client.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit d0c4b9578c92b00fcdcf9d4bfec7b24b3b5c37be
Author: Jose Riha <jose1711@gmail.com>
Date:   Wed Jan 9 18:34:20 2019 +0100

    I18n: Update translation sk (99%).
    
    167 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7c028dcfa1ac7bc8206c0d44338f1872593d3611
Author: Michal Várady <miko.vaji@gmail.com>
Date:   Wed Jan 2 00:33:43 2019 +0100

    I18n: Update translation cs (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b5c07beffa7f8a939bba432aeedac30fed6d164b
Author: Viktor Odintsev <ninetls@xfce.org>
Date:   Wed Dec 26 16:50:23 2018 +0300

    tabwin: apply a proper scaling for icons and previews

commit d5113fbc1424cf95e55f4ddbc06e66d94a7bb328
Author: Viktor Odintsev <ninetls@xfce.org>
Date:   Wed Dec 26 16:50:23 2018 +0300

    Use GTK3 scaling attributes for window titles

commit b1248a707a484e9aeb47b3490f79f1066ffce978
Author: Zmicer Turok <zmicerturok@gmail.com>
Date:   Sat Dec 15 00:32:29 2018 +0100

    I18n: Update translation be (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f75652eba37a3c6c3bfd2eeb78e3d21068a1931f
Author: Alistair Buxton <a.j.buxton@gmail.com>
Date:   Sun Dec 9 22:03:04 2018 +0000

    Add back the glXWaitGL to compositor sync code
    
    In d6e7fbc4 the glXWaitX/glXWaitGL synchronization around compositor
    texture upload was replaced by an XSync fence. This causes extreme
    flickering on nvidia. My current understanding is that the fence code
    is equivalent to glXWaitX, so the other half of the synchronization
    is not handled. This patch restores glXWaitGL to deal with that.
    
    Note that if my understanding is correct then this patch will
    behave exactly the same as reverting d6e7fbc4. This means the
    problems d6e7fbc4 intended to fix will come back.
    
    Note (bis), I do not see any regression with intel/modesettings so I
    reckon it's fine to land -- (ofourdan)

commit 0e09b779c27c8244d7ea6f333bae34e6a5a0ecf8
Author: Emanuele Petriglia <inbox@emanuelepetriglia.me>
Date:   Wed Dec 12 00:32:02 2018 +0100

    I18n: Update translation it (100%).
    
    168 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2d3b321cb18ca54e469639ff5116b19dfa1a3251
Author: José Vieira <jvieira33@sapo.pt>
Date:   Mon Dec 10 00:33:28 2018 +0100

    I18n: Update translation pt (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 27238064f229fd4ecd9932ac52de46776fa1c7de
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Dec 9 19:08:13 2018 +0100

    compositor: Use settings for vblank mode
    
    Remove the command line options “--vblank” which is not flexible enough
    and use xfconf/settings in place.
    
    This requires restarting xfwm4 after changing the value though, for the
    change to take effect (vblank option is applied only at startup).
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 07773e608413a370932c5f2d59ed0b656240970a
Author: Jonas Zetterberg <jozz@jozz.se>
Date:   Sat Dec 1 12:53:46 2018 +0100

    tabwin: Place tabwin in center when display is scaled
    
    Bug: 14931
    
    On scaled display the tabwin is using unscaled window coordinates to calculate
    its position. Let the callert choose scaled or unscaled display size and use
    scaled in tabwin.
    
    fixes: 9d5ac6a4 Introduce xfwm-common static library
    
    Signed-off-by: Jonas Zetterberg <jozz@jozz.se>

commit 7d8ad718466e59865755578bdf4192cd21abc221
Author: Emanuele Petriglia <inbox@emanuelepetriglia.me>
Date:   Fri Dec 7 12:32:12 2018 +0100

    I18n: Update translation it (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8cd915228bafb9792fd5d3e7e778db8ed51578d1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sat Dec 1 21:12:58 2018 +0100

    compositor: Shaded windows have no height
    
    Bug: 14899
    
    Trying to get the pixmap  with a height of zero will lead to an XError
    and further trouble down the line.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 1e72ff1a4d5b795c974268205ef7b735aaf2894f
Author: Nuno Miguel <nunomgue@gmail.com>
Date:   Mon Nov 19 18:33:32 2018 +0100

    I18n: Update translation pt (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fe1f73a97d277408b290bef67fdf6240774befdf
Author: Emanuele Petriglia <inbox@emanuelepetriglia.me>
Date:   Sat Nov 17 12:32:52 2018 +0100

    I18n: Update translation it (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6d83275212687fae4e9a4e9ce5695868d5840f45
Author: Emanuele Petriglia <inbox@emanuelepetriglia.me>
Date:   Sat Nov 10 00:32:52 2018 +0100

    I18n: Update translation it (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 655d5da94a8e389414afb5b73e8fad512e628da0
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Mon Nov 5 18:32:46 2018 +0100

    I18n: Update translation is (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1d21be9ffc0fa1cea91905a07d1446c5227745f4
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Tue Oct 23 00:33:24 2018 +0200

    I18n: Update translation ca (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a9408ba61c3b7dc941498fde73b04ff5d5a91a81
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Wed Oct 3 18:32:49 2018 +0200

    I18n: Update translation fr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 084e8672443d3154bfc6e11e499f28e5549c02e6
Author: Shun <shun98@139.com>
Date:   Mon Oct 1 18:38:23 2018 +0200

    I18n: Update translation zh_CN (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1a16f98de7438e61b48b23d0cfa210513c2a0247
Author: Charles Monzat <c.monzat@laposte.net>
Date:   Mon Oct 1 18:38:23 2018 +0200

    I18n: Update translation fr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 15e44a75135c4fc211e1c27a89eebb771737d233
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Mon Oct 1 18:38:23 2018 +0200

    I18n: Update translation ca (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dacd77a90e90cb6964de8771d9941a099f9b1a3c
Author: Charles Monzat <c.monzat@laposte.net>
Date:   Wed Sep 26 18:33:18 2018 +0200

    I18n: Update translation fr (100%).
    
    169 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

